//+------------------------------------------------------------------+
//|                                           Trend Analysis 3.1.mq4 |
//|                                 Copyright  2010, Ivan Tretyakov |
//|                                             tretyak-off@inbox.ru |
//|                                                       v3.1 |
//+------------------------------------------------------------------+
#property copyright "Copyright  2010, Ivan Tretyakov"
#property link      "tretyak-off@inbox.ru"

#property indicator_separate_window
#property indicator_minimum 0
#property indicator_maximum 1
#property indicator_buffers 2
#property indicator_color1 Lime
#property indicator_color2 Red
double UPBuffer[];
double DOWNBuffer[];

extern color     IndicatorsTextColor=Orange;
extern color     SeparatorsTextColor=Silver;
extern color     SignalUpColor=Lime;
extern color     SignalDownColor=Red;
extern int       FontSize=9;
extern int       SpaseSize=3;
extern int       SymbolCodeBuy=236; 
extern int       SymbolCodeSell=238;

string FontName="Courier New";
string ShortName="Trend Analysis";
string Periods[]={"M1","M5","M15","M30","H1","H4","D1","W1"};//8
string Indicators[]={"MA_20","MA_50","MA100","ADX14","BEARS","BULLS","CCI14","DeM14","FORCE","MACD_","MOM14","RSI14","STOCH"};//14
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
IndicatorShortName(ShortName);
SetIndexBuffer(0,UPBuffer);
SetIndexBuffer(1,DOWNBuffer);
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int x,y,i,j;
string name;

int CreateTable()
{
//-----------
for (i=3; i<=20; i++)
{
switch(i)                                  
  {
  case 3: name="+"; break;
  case 17:name="+"; break;
  case 20:name="+"; break;
  default:name="|"; break; 
  }
y=(i-1)*FontSize+SpaseSize*i;
ObjectCreate("ASep"+0+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("ASep"+0+i,name,FontSize, FontName, SeparatorsTextColor );
ObjectSet("ASep"+0+i, OBJPROP_XDISTANCE, FontSize*0);  
ObjectSet("ASep"+0+i, OBJPROP_YDISTANCE, y);
}
for (i=3; i<=20; i++)
{
if ((i==3) || (i==17) || (i==20))
{
y=(i-1)*FontSize+SpaseSize*i; name="-"; 
ObjectCreate("ASep"+1+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("ASep"+1+i,name,FontSize, FontName, SeparatorsTextColor );
ObjectSet("ASep"+1+i, OBJPROP_XDISTANCE, FontSize*1);  
ObjectSet("ASep"+1+i, OBJPROP_YDISTANCE, y);
}
}
for (i=3; i<=20; i++)
{
if ((i==3) || (i==17) || (i==20))
{
y=(i-1)*FontSize+SpaseSize*i; name="-"; 
ObjectCreate("ASep"+2+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("ASep"+2+i,name,FontSize, FontName, SeparatorsTextColor );
ObjectSet("ASep"+2+i, OBJPROP_XDISTANCE, FontSize*2);  
ObjectSet("ASep"+2+i, OBJPROP_YDISTANCE, y);
}
}
for (i=3; i<=20; i++)
{
if ((i==3) || (i==17) || (i==20))
{
y=(i-1)*FontSize+SpaseSize*i; name="-"; 
ObjectCreate("ASep"+3+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("ASep"+3+i,name,FontSize, FontName, SeparatorsTextColor );
ObjectSet("ASep"+3+i, OBJPROP_XDISTANCE, FontSize*3);  
ObjectSet("ASep"+3+i, OBJPROP_YDISTANCE, y);
}
}
for (i=3; i<=20; i++)
{
if ((i==3) || (i==17) || (i==20))
{
y=(i-1)*FontSize+SpaseSize*i; name="-"; 
ObjectCreate("ASep"+4+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("ASep"+4+i,name,FontSize, FontName, SeparatorsTextColor );
ObjectSet("ASep"+4+i, OBJPROP_XDISTANCE, FontSize*4);  
ObjectSet("ASep"+4+i, OBJPROP_YDISTANCE, y);
}
}
for (i=3; i<=20; i++)
{
if ((i==3) || (i==17) || (i==20))
{
y=(i-1)*FontSize+SpaseSize*i; name="-"; 
ObjectCreate("ASep"+5+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("ASep"+5+i,name,FontSize, FontName, SeparatorsTextColor );
ObjectSet("ASep"+5+i, OBJPROP_XDISTANCE, FontSize*5);  
ObjectSet("ASep"+5+i, OBJPROP_YDISTANCE, y);
}
}
for (i=3; i<=20; i++)
{
if ((i==3) || (i==17) || (i==20))
{
y=(i-1)*FontSize+SpaseSize*i; name="-"; 
ObjectCreate("ASep"+6+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("ASep"+6+i,name,FontSize, FontName, SeparatorsTextColor );
ObjectSet("ASep"+6+i, OBJPROP_XDISTANCE, FontSize*6);  
ObjectSet("ASep"+6+i, OBJPROP_YDISTANCE, y);
}
}
for (i=3; i<=20; i++)
{
if ((i==3) || (i==17) || (i==20))
{
y=(i-1)*FontSize+SpaseSize*i; name="-"; 
ObjectCreate("ASep"+7+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("ASep"+7+i,name,FontSize, FontName, SeparatorsTextColor );
ObjectSet("ASep"+7+i, OBJPROP_XDISTANCE, FontSize*7);  
ObjectSet("ASep"+7+i, OBJPROP_YDISTANCE, y);
}
}
for (i=3; i<=20; i++)
{
if ((i==3) || (i==17) || (i==20))
{
y=(i-1)*FontSize+SpaseSize*i; name="-"; 
ObjectCreate("ASep"+8+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("ASep"+8+i,name,FontSize, FontName, SeparatorsTextColor );
ObjectSet("ASep"+8+i, OBJPROP_XDISTANCE, FontSize*8);  
ObjectSet("ASep"+8+i, OBJPROP_YDISTANCE, y);
}
}
for (i=1; i<=20; i++)
{
switch(i)                                  
  {
  case 1:  name="+"; break;
  case 3:  name="+"; break;
  case 17: name="+"; break;
  case 18: name=""; break;
  case 19: name=""; break;
  case 20: name="-"; break;
  default: name="|"; break; 
  }
y=(i-1)*FontSize+SpaseSize*i;
ObjectCreate("BSep"+9+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("BSep"+9+i,name,FontSize, FontName, SeparatorsTextColor );
ObjectSet("BSep"+9+i, OBJPROP_XDISTANCE, FontSize*9);  
ObjectSet("BSep"+9+i, OBJPROP_YDISTANCE, y);
}
for (i=1; i<=20; i++)
{
if ((i==1)||(i==3)||(i==17)||(i==20))
{
y=(i-1)*FontSize+SpaseSize*i; name="-";
ObjectCreate("BSep"+10+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("BSep"+10+i,name,FontSize, FontName, SeparatorsTextColor );
ObjectSet("BSep"+10+i, OBJPROP_XDISTANCE, FontSize*10);  
ObjectSet("BSep"+10+i, OBJPROP_YDISTANCE, y);
}
}
for (i=1; i<=20; i++)
{
if ((i==1)||(i==3)||(i==17)||(i==20))
{
y=(i-1)*FontSize+SpaseSize*i; name="-";
ObjectCreate("BSep"+11+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("BSep"+11+i,name,FontSize, FontName, SeparatorsTextColor );
ObjectSet("BSep"+11+i, OBJPROP_XDISTANCE, FontSize*11);  
ObjectSet("BSep"+11+i, OBJPROP_YDISTANCE, y);
}
}
for (i=1; i<=20; i++)
{
if ((i==1)||(i==3)||(i==17)||(i==20))
{
y=(i-1)*FontSize+SpaseSize*i; name="-";
ObjectCreate("BSep"+12+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("BSep"+12+i,name,FontSize, FontName, SeparatorsTextColor );
ObjectSet("BSep"+12+i, OBJPROP_XDISTANCE, FontSize*12);  
ObjectSet("BSep"+12+i, OBJPROP_YDISTANCE, y);
}
}
for (i=1; i<=20; i++)
{
if ((i==1)||(i==3)||(i==17)||(i==20))
{
y=(i-1)*FontSize+SpaseSize*i; name="-";
ObjectCreate("BSep"+13+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("BSep"+13+i,name,FontSize, FontName, SeparatorsTextColor );
ObjectSet("BSep"+13+i, OBJPROP_XDISTANCE, FontSize*13);  
ObjectSet("BSep"+13+i, OBJPROP_YDISTANCE, y);
}
}
for (i=1; i<=20; i++)
{
if ((i==1)||(i==3)||(i==17)||(i==20))
{
y=(i-1)*FontSize+SpaseSize*i; name="-";
ObjectCreate("BSep"+14+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("BSep"+14+i,name,FontSize, FontName, SeparatorsTextColor );
ObjectSet("BSep"+14+i, OBJPROP_XDISTANCE, FontSize*14);  
ObjectSet("BSep"+14+i, OBJPROP_YDISTANCE, y);
}
}
for (i=1; i<=20; i++)
{
switch(i)                                  
  {
  case 1: name="+"; break;
  case 3: name="+"; break;
  case 17:name="+"; break;
  case 20:name="-"; break;
  default:name="|"; break; 
  }
y=(i-1)*FontSize+SpaseSize*i;
ObjectCreate("CSep"+15+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("CSep"+15+i,name,FontSize, FontName, SeparatorsTextColor );
ObjectSet("CSep"+15+i, OBJPROP_XDISTANCE, FontSize*15);  
ObjectSet("CSep"+15+i, OBJPROP_YDISTANCE, y);
}
for (i=1; i<=20; i++)
{
if ((i==1)||(i==3)||(i==17)||(i==20))
{
y=(i-1)*FontSize+SpaseSize*i; name="-";
ObjectCreate("CSep"+16+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("CSep"+16+i,name,FontSize, FontName, SeparatorsTextColor );
ObjectSet("CSep"+16+i, OBJPROP_XDISTANCE, FontSize*16);  
ObjectSet("CSep"+16+i, OBJPROP_YDISTANCE, y);
}
}
for (i=1; i<=20; i++)
{
if ((i==1)||(i==3)||(i==17)||(i==20))
{
y=(i-1)*FontSize+SpaseSize*i; name="-";
ObjectCreate("CSep"+17+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("CSep"+17+i,name,FontSize, FontName, SeparatorsTextColor );
ObjectSet("CSep"+17+i, OBJPROP_XDISTANCE, FontSize*17);  
ObjectSet("CSep"+17+i, OBJPROP_YDISTANCE, y);
}
}
for (i=1; i<=20; i++)
{
if ((i==1)||(i==3)||(i==17)||(i==20))
{
y=(i-1)*FontSize+SpaseSize*i; name="-";
ObjectCreate("CSep"+18+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("CSep"+18+i,name,FontSize, FontName, SeparatorsTextColor );
ObjectSet("CSep"+18+i, OBJPROP_XDISTANCE, FontSize*18);  
ObjectSet("CSep"+18+i, OBJPROP_YDISTANCE, y);
}
}
for (i=1; i<=20; i++)
{
if ((i==1)||(i==3)||(i==17)||(i==20))
{
y=(i-1)*FontSize+SpaseSize*i; name="-";
ObjectCreate("CSep"+19+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("CSep"+19+i,name,FontSize, FontName, SeparatorsTextColor );
ObjectSet("CSep"+19+i, OBJPROP_XDISTANCE, FontSize*19);  
ObjectSet("CSep"+19+i, OBJPROP_YDISTANCE, y);
}
}
for (i=1; i<=20; i++)
{
if ((i==1)||(i==3)||(i==17)||(i==20))
{
y=(i-1)*FontSize+SpaseSize*i; name="-";
ObjectCreate("CSep"+20+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("CSep"+20+i,name,FontSize, FontName, SeparatorsTextColor );
ObjectSet("CSep"+20+i, OBJPROP_XDISTANCE, FontSize*20);  
ObjectSet("CSep"+20+i, OBJPROP_YDISTANCE, y);
}
}
for (i=1; i<=20; i++)
{
switch(i)                                  
  {
  case 1: name="+"; break;
  case 3: name="+"; break;
  case 17:name="+"; break;
  case 20:name="-"; break;
  default:name="|"; break; 
  }
y=(i-1)*FontSize+SpaseSize*i;
ObjectCreate("DSep"+21+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("DSep"+21+i,name,FontSize, FontName, SeparatorsTextColor );
ObjectSet("DSep"+21+i, OBJPROP_XDISTANCE, FontSize*21);  
ObjectSet("DSep"+21+i, OBJPROP_YDISTANCE, y);
}
for (i=1; i<=20; i++)
{
if ((i==1)||(i==3)||(i==17)||(i==20))
{
y=(i-1)*FontSize+SpaseSize*i; name="-";
ObjectCreate("DSep"+22+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("DSep"+22+i,name,FontSize, FontName, SeparatorsTextColor );
ObjectSet("DSep"+22+i, OBJPROP_XDISTANCE, FontSize*22);  
ObjectSet("DSep"+22+i, OBJPROP_YDISTANCE, y);
}
}
for (i=1; i<=20; i++)
{
if ((i==1)||(i==3)||(i==17)||(i==20))
{
y=(i-1)*FontSize+SpaseSize*i; name="-";
ObjectCreate("DSep"+23+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("DSep"+23+i,name,FontSize, FontName, SeparatorsTextColor );
ObjectSet("DSep"+23+i, OBJPROP_XDISTANCE, FontSize*23);  
ObjectSet("DSep"+23+i, OBJPROP_YDISTANCE, y);
}
}
for (i=1; i<=20; i++)
{
if ((i==1)||(i==3)||(i==17)||(i==20))
{
y=(i-1)*FontSize+SpaseSize*i; name="-";
ObjectCreate("DSep"+24+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("DSep"+24+i,name,FontSize, FontName, SeparatorsTextColor );
ObjectSet("DSep"+24+i, OBJPROP_XDISTANCE, FontSize*24);  
ObjectSet("DSep"+24+i, OBJPROP_YDISTANCE, y);
}
}
for (i=1; i<=20; i++)
{
if ((i==1)||(i==3)||(i==17)||(i==20))
{
y=(i-1)*FontSize+SpaseSize*i; name="-";
ObjectCreate("DSep"+25+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("DSep"+25+i,name,FontSize, FontName, SeparatorsTextColor );
ObjectSet("DSep"+25+i, OBJPROP_XDISTANCE, FontSize*25);  
ObjectSet("DSep"+25+i, OBJPROP_YDISTANCE, y);
}
}
for (i=1; i<=20; i++)
{
if ((i==1)||(i==3)||(i==17)||(i==20))
{
y=(i-1)*FontSize+SpaseSize*i; name="-";
ObjectCreate("DSep"+26+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("DSep"+26+i,name,FontSize, FontName, SeparatorsTextColor );
ObjectSet("DSep"+26+i, OBJPROP_XDISTANCE, FontSize*26);  
ObjectSet("DSep"+26+i, OBJPROP_YDISTANCE, y);
}
}
for (i=1; i<=20; i++)
{
switch(i)                                  
  {
  case 1: name="+"; break;
  case 3: name="+"; break;
  case 17:name="+"; break;
  case 20:name="-"; break;
  default:name="|"; break; 
  }
y=(i-1)*FontSize+SpaseSize*i;
ObjectCreate("ESep"+27+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("ESep"+27+i,name,FontSize, FontName, SeparatorsTextColor );
ObjectSet("ESep"+27+i, OBJPROP_XDISTANCE, FontSize*27);  
ObjectSet("ESep"+27+i, OBJPROP_YDISTANCE, y);
}
for (i=1; i<=20; i++)
{
if ((i==1)||(i==3)||(i==17)||(i==20))
{
y=(i-1)*FontSize+SpaseSize*i; name="-";
ObjectCreate("ESep"+28+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("ESep"+28+i,name,FontSize, FontName, SeparatorsTextColor );
ObjectSet("ESep"+28+i, OBJPROP_XDISTANCE, FontSize*28);  
ObjectSet("ESep"+28+i, OBJPROP_YDISTANCE, y);
}
}
for (i=1; i<=20; i++)
{
if ((i==1)||(i==3)||(i==17)||(i==20))
{
y=(i-1)*FontSize+SpaseSize*i; name="-";
ObjectCreate("ESep"+29+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("ESep"+29+i,name,FontSize, FontName, SeparatorsTextColor );
ObjectSet("ESep"+29+i, OBJPROP_XDISTANCE, FontSize*29);  
ObjectSet("ESep"+29+i, OBJPROP_YDISTANCE, y);
}
}
for (i=1; i<=20; i++)
{
if ((i==1)||(i==3)||(i==17)||(i==20))
{
y=(i-1)*FontSize+SpaseSize*i; name="-";
ObjectCreate("ESep"+30+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("ESep"+30+i,name,FontSize, FontName, SeparatorsTextColor );
ObjectSet("ESep"+30+i, OBJPROP_XDISTANCE, FontSize*30);  
ObjectSet("ESep"+30+i, OBJPROP_YDISTANCE, y);
}
}
for (i=1; i<=20; i++)
{
if ((i==1)||(i==3)||(i==17)||(i==20))
{
y=(i-1)*FontSize+SpaseSize*i; name="-";
ObjectCreate("ESep"+31+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("ESep"+31+i,name,FontSize, FontName, SeparatorsTextColor );
ObjectSet("ESep"+31+i, OBJPROP_XDISTANCE, FontSize*31);  
ObjectSet("ESep"+31+i, OBJPROP_YDISTANCE, y);
}
}
for (i=1; i<=20; i++)
{
if ((i==1)||(i==3)||(i==17)||(i==20))
{
y=(i-1)*FontSize+SpaseSize*i; name="-";
ObjectCreate("ESep"+32+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("ESep"+32+i,name,FontSize, FontName, SeparatorsTextColor );
ObjectSet("ESep"+32+i, OBJPROP_XDISTANCE, FontSize*32);  
ObjectSet("ESep"+32+i, OBJPROP_YDISTANCE, y);
}
}
for (i=1; i<=20; i++)
{
switch(i)                                  
  {
  case 1: name="+"; break;
  case 3: name="+"; break;
  case 17:name="+"; break;
  case 20:name="-"; break;
  default:name="|"; break; 
  }
y=(i-1)*FontSize+SpaseSize*i;
ObjectCreate("FSep"+33+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("FSep"+33+i,name,FontSize, FontName, SeparatorsTextColor );
ObjectSet("FSep"+33+i, OBJPROP_XDISTANCE, FontSize*33);  
ObjectSet("FSep"+33+i, OBJPROP_YDISTANCE, y);
}
for (i=1; i<=20; i++)
{
if ((i==1)||(i==3)||(i==17)||(i==20))
{
y=(i-1)*FontSize+SpaseSize*i; name="-";
ObjectCreate("FSep"+34+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("FSep"+34+i,name,FontSize, FontName, SeparatorsTextColor );
ObjectSet("FSep"+34+i, OBJPROP_XDISTANCE, FontSize*34);  
ObjectSet("FSep"+34+i, OBJPROP_YDISTANCE, y);
}
}
for (i=1; i<=20; i++)
{
if ((i==1)||(i==3)||(i==17)||(i==20))
{
y=(i-1)*FontSize+SpaseSize*i; name="-";
ObjectCreate("FSep"+35+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("FSep"+35+i,name,FontSize, FontName, SeparatorsTextColor );
ObjectSet("FSep"+35+i, OBJPROP_XDISTANCE, FontSize*35);  
ObjectSet("FSep"+35+i, OBJPROP_YDISTANCE, y);
}
}
for (i=1; i<=20; i++)
{
if ((i==1)||(i==3)||(i==17)||(i==20))
{
y=(i-1)*FontSize+SpaseSize*i; name="-";
ObjectCreate("FSep"+36+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("FSep"+36+i,name,FontSize, FontName, SeparatorsTextColor );
ObjectSet("FSep"+36+i, OBJPROP_XDISTANCE, FontSize*36);  
ObjectSet("FSep"+36+i, OBJPROP_YDISTANCE, y);
}
}
for (i=1; i<=20; i++)
{
if ((i==1)||(i==3)||(i==17)||(i==20))
{
y=(i-1)*FontSize+SpaseSize*i; name="-";
ObjectCreate("FSep"+37+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("FSep"+37+i,name,FontSize, FontName, SeparatorsTextColor );
ObjectSet("FSep"+37+i, OBJPROP_XDISTANCE, FontSize*37);  
ObjectSet("FSep"+37+i, OBJPROP_YDISTANCE, y);
}
}
for (i=1; i<=20; i++)
{
if ((i==1)||(i==3)||(i==17)||(i==20))
{
y=(i-1)*FontSize+SpaseSize*i; name="-";
ObjectCreate("FSep"+38+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("FSep"+38+i,name,FontSize, FontName, SeparatorsTextColor );
ObjectSet("FSep"+38+i, OBJPROP_XDISTANCE, FontSize*38);  
ObjectSet("FSep"+38+i, OBJPROP_YDISTANCE, y);
}
}
for (i=1; i<=20; i++)
{
switch(i)                                  
  {
  case 1: name="+"; break;
  case 3: name="+"; break;
  case 17:name="+"; break;
  case 20:name="-"; break;
  default:name="|"; break; 
  }
y=(i-1)*FontSize+SpaseSize*i;
ObjectCreate("GSep"+39+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("GSep"+39+i,name,FontSize, FontName, SeparatorsTextColor );
ObjectSet("GSep"+39+i, OBJPROP_XDISTANCE, FontSize*39);  
ObjectSet("GSep"+39+i, OBJPROP_YDISTANCE, y);
}
for (i=1; i<=20; i++)
{
if ((i==1)||(i==3)||(i==17)||(i==20))
{
y=(i-1)*FontSize+SpaseSize*i; name="-";
ObjectCreate("GSep"+40+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("GSep"+40+i,name,FontSize, FontName, SeparatorsTextColor );
ObjectSet("GSep"+40+i, OBJPROP_XDISTANCE, FontSize*40);  
ObjectSet("GSep"+40+i, OBJPROP_YDISTANCE, y);
}
}
for (i=1; i<=20; i++)
{
if ((i==1)||(i==3)||(i==17)||(i==20))
{
y=(i-1)*FontSize+SpaseSize*i; name="-";
ObjectCreate("GSep"+41+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("GSep"+41+i,name,FontSize, FontName, SeparatorsTextColor );
ObjectSet("GSep"+41+i, OBJPROP_XDISTANCE, FontSize*41);  
ObjectSet("GSep"+41+i, OBJPROP_YDISTANCE, y);
}
}
for (i=1; i<=20; i++)
{
if ((i==1)||(i==3)||(i==17)||(i==20))
{
y=(i-1)*FontSize+SpaseSize*i; name="-";
ObjectCreate("GSep"+42+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("GSep"+42+i,name,FontSize, FontName, SeparatorsTextColor );
ObjectSet("GSep"+42+i, OBJPROP_XDISTANCE, FontSize*42);  
ObjectSet("GSep"+42+i, OBJPROP_YDISTANCE, y);
}
}
for (i=1; i<=20; i++)
{
if ((i==1)||(i==3)||(i==17)||(i==20))
{
y=(i-1)*FontSize+SpaseSize*i; name="-";
ObjectCreate("GSep"+43+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("GSep"+43+i,name,FontSize, FontName, SeparatorsTextColor );
ObjectSet("GSep"+43+i, OBJPROP_XDISTANCE, FontSize*43);  
ObjectSet("GSep"+43+i, OBJPROP_YDISTANCE, y);
}
}
for (i=1; i<=20; i++)
{
if ((i==1)||(i==3)||(i==17)||(i==20))
{
y=(i-1)*FontSize+SpaseSize*i; name="-";
ObjectCreate("GSep"+44+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("GSep"+44+i,name,FontSize, FontName, SeparatorsTextColor );
ObjectSet("GSep"+44+i, OBJPROP_XDISTANCE, FontSize*44);  
ObjectSet("GSep"+44+i, OBJPROP_YDISTANCE, y);
}
}
for (i=1; i<=20; i++)
{
switch(i)                                  
  {
  case 1: name="+"; break;
  case 3: name="+"; break;
  case 17:name="+"; break;
  case 18:name=""; break;
  case 19:name=""; break;
  case 20:name="-"; break;
  default:name="|"; break; 
  }
y=(i-1)*FontSize+SpaseSize*i;
ObjectCreate("HSep"+45+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("HSep"+45+i,name,FontSize, FontName, SeparatorsTextColor );
ObjectSet("HSep"+45+i, OBJPROP_XDISTANCE, FontSize*45);  
ObjectSet("HSep"+45+i, OBJPROP_YDISTANCE, y);
}
for (i=1; i<=20; i++)
{
if ((i==1)||(i==3)||(i==17)||(i==20))
{
y=(i-1)*FontSize+SpaseSize*i; name="-";
ObjectCreate("HSep"+46+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("HSep"+46+i,name,FontSize, FontName, SeparatorsTextColor );
ObjectSet("HSep"+46+i, OBJPROP_XDISTANCE, FontSize*46);  
ObjectSet("HSep"+46+i, OBJPROP_YDISTANCE, y);
}
}
for (i=1; i<=20; i++)
{
if ((i==1)||(i==3)||(i==17)||(i==20))
{
y=(i-1)*FontSize+SpaseSize*i; name="-";
ObjectCreate("HSep"+47+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("HSep"+47+i,name,FontSize, FontName, SeparatorsTextColor );
ObjectSet("HSep"+47+i, OBJPROP_XDISTANCE, FontSize*47);  
ObjectSet("HSep"+47+i, OBJPROP_YDISTANCE, y);
}
}
for (i=1; i<=20; i++)
{
if ((i==1)||(i==3)||(i==17)||(i==20))
{
y=(i-1)*FontSize+SpaseSize*i; name="-";
ObjectCreate("HSep"+48+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("HSep"+48+i,name,FontSize, FontName, SeparatorsTextColor );
ObjectSet("HSep"+48+i, OBJPROP_XDISTANCE, FontSize*48);  
ObjectSet("HSep"+48+i, OBJPROP_YDISTANCE, y);
}
}
for (i=1; i<=20; i++)
{
if ((i==1)||(i==3)||(i==17)||(i==20))
{
y=(i-1)*FontSize+SpaseSize*i; name="-";
ObjectCreate("HSep"+49+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("HSep"+49+i,name,FontSize, FontName, SeparatorsTextColor );
ObjectSet("HSep"+49+i, OBJPROP_XDISTANCE, FontSize*49);  
ObjectSet("HSep"+49+i, OBJPROP_YDISTANCE, y);
}
}
for (i=1; i<=20; i++)
{
if ((i==1)||(i==3)||(i==17)||(i==20))
{
y=(i-1)*FontSize+SpaseSize*i; name="-";
ObjectCreate("HSep"+50+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("HSep"+50+i,name,FontSize, FontName, SeparatorsTextColor );
ObjectSet("HSep"+50+i, OBJPROP_XDISTANCE, FontSize*50);  
ObjectSet("HSep"+50+i, OBJPROP_YDISTANCE, y);
}
}
for (i=1; i<=20; i++)
{
switch(i)                                  
  {
  case 1: name="+"; break;
  case 3: name="+"; break;
  case 17:name="+"; break;
  case 20:name="-"; break;
  default:name="|"; break; 
  }
y=(i-1)*FontSize+SpaseSize*i;
ObjectCreate("ISep"+51+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("ISep"+51+i,name,FontSize, FontName, SeparatorsTextColor );
ObjectSet("ISep"+51+i, OBJPROP_XDISTANCE, FontSize*51);  
ObjectSet("ISep"+51+i, OBJPROP_YDISTANCE, y);
}
for (i=1; i<=20; i++)
{
if ((i==1)||(i==3)||(i==17)||(i==20))
{
y=(i-1)*FontSize+SpaseSize*i; name="-";
ObjectCreate("ISep"+52+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("ISep"+52+i,name,FontSize, FontName, SeparatorsTextColor );
ObjectSet("ISep"+52+i, OBJPROP_XDISTANCE, FontSize*52);  
ObjectSet("ISep"+52+i, OBJPROP_YDISTANCE, y);
}
}
for (i=1; i<=20; i++)
{
if ((i==1)||(i==3)||(i==17)||(i==20))
{
y=(i-1)*FontSize+SpaseSize*i; name="-";
ObjectCreate("ISep"+53+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("ISep"+53+i,name,FontSize, FontName, SeparatorsTextColor );
ObjectSet("ISep"+53+i, OBJPROP_XDISTANCE, FontSize*53);  
ObjectSet("ISep"+53+i, OBJPROP_YDISTANCE, y);
}
}
for (i=1; i<=20; i++)
{
if ((i==1)||(i==3)||(i==17)||(i==20))
{
y=(i-1)*FontSize+SpaseSize*i; name="-";
ObjectCreate("ISep"+54+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("ISep"+54+i,name,FontSize, FontName, SeparatorsTextColor );
ObjectSet("ISep"+54+i, OBJPROP_XDISTANCE, FontSize*54);  
ObjectSet("ISep"+54+i, OBJPROP_YDISTANCE, y);
}
}
for (i=1; i<=20; i++)
{
if ((i==1)||(i==3)||(i==17)||(i==20))
{
y=(i-1)*FontSize+SpaseSize*i; name="-";
ObjectCreate("ISep"+55+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("ISep"+55+i,name,FontSize, FontName, SeparatorsTextColor );
ObjectSet("ISep"+55+i, OBJPROP_XDISTANCE, FontSize*55);  
ObjectSet("ISep"+55+i, OBJPROP_YDISTANCE, y);
}
}
for (i=1; i<=20; i++)
{
if ((i==1)||(i==3)||(i==17)||(i==20))
{
y=(i-1)*FontSize+SpaseSize*i; name="-";
ObjectCreate("ISep"+56+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("ISep"+56+i,name,FontSize, FontName, SeparatorsTextColor );
ObjectSet("ISep"+56+i, OBJPROP_XDISTANCE, FontSize*56);  
ObjectSet("ISep"+56+i, OBJPROP_YDISTANCE, y);
}
}
for (i=1; i<=20; i++)
{
switch(i)                                  
  {
  case 1: name="+"; break;
  case 3: name="+"; break;
  case 17:name="+"; break;
  case 20:name="+"; break;
  default:name="|"; break; 
  }
y=(i-1)*FontSize+SpaseSize*i;
ObjectCreate("ISep"+57+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("ISep"+57+i,name,FontSize, FontName, SeparatorsTextColor );
ObjectSet("ISep"+57+i, OBJPROP_XDISTANCE, FontSize*57);  
ObjectSet("ISep"+57+i, OBJPROP_YDISTANCE, y);
}
for (i=1;i<=11;i++)
{
switch(i)
{
case 1:name="+";break;
case 3:name="+";break;
case 4:name="+";break;
case 7:name="+";break;
case 8:name="+";break;
case 11:name="+";break;
default: name="|";break;
}
y=(i-1)*FontSize+SpaseSize*i;
ObjectCreate("JSep"+59+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("JSep"+59+i,name,FontSize, FontName, SeparatorsTextColor );
ObjectSet("JSep"+59+i, OBJPROP_XDISTANCE, FontSize*59);  
ObjectSet("JSep"+59+i, OBJPROP_YDISTANCE, y);
}
for (i=1;i<=11;i++)
{
if ((i==1)||(i==3)||(i==4)||(i==7)||(i==8)||(i==11))
{
name="-";
y=(i-1)*FontSize+SpaseSize*i;
}
ObjectCreate("JSep"+60+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("JSep"+60+i,name,FontSize, FontName, SeparatorsTextColor );
ObjectSet("JSep"+60+i, OBJPROP_XDISTANCE, FontSize*60);  
ObjectSet("JSep"+60+i, OBJPROP_YDISTANCE, y);
}
for (i=1;i<=11;i++)
{
if ((i==1)||(i==3)||(i==4)||(i==7)||(i==8)||(i==11))
{
name="-";
y=(i-1)*FontSize+SpaseSize*i;
}
ObjectCreate("JSep"+61+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("JSep"+61+i,name,FontSize, FontName, SeparatorsTextColor );
ObjectSet("JSep"+61+i, OBJPROP_XDISTANCE, FontSize*61);  
ObjectSet("JSep"+61+i, OBJPROP_YDISTANCE, y);
}
for (i=1;i<=11;i++)
{
if ((i==1)||(i==3)||(i==4)||(i==7)||(i==8)||(i==11))
{
name="-";
y=(i-1)*FontSize+SpaseSize*i;
}
ObjectCreate("JSep"+62+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("JSep"+62+i,name,FontSize, FontName, SeparatorsTextColor );
ObjectSet("JSep"+62+i, OBJPROP_XDISTANCE, FontSize*62);  
ObjectSet("JSep"+62+i, OBJPROP_YDISTANCE, y);
}
for (i=1;i<=11;i++)
{
if ((i==1)||(i==3)||(i==4)||(i==7)||(i==8)||(i==11))
{
name="-";
y=(i-1)*FontSize+SpaseSize*i;
}
ObjectCreate("JSep"+63+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("JSep"+63+i,name,FontSize, FontName, SeparatorsTextColor );
ObjectSet("JSep"+63+i, OBJPROP_XDISTANCE, FontSize*63);  
ObjectSet("JSep"+63+i, OBJPROP_YDISTANCE, y);
}
for (i=1;i<=11;i++)
{
if ((i==1)||(i==3)||(i==4)||(i==7)||(i==8)||(i==11))
{
name="-";
y=(i-1)*FontSize+SpaseSize*i;
}
ObjectCreate("JSep"+64+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("JSep"+64+i,name,FontSize, FontName, SeparatorsTextColor );
ObjectSet("JSep"+64+i, OBJPROP_XDISTANCE, FontSize*64);  
ObjectSet("JSep"+64+i, OBJPROP_YDISTANCE, y);
}
for (i=1;i<=11;i++)
{
if ((i==1)||(i==3)||(i==4)||(i==7)||(i==8)||(i==11))
{
name="-";
y=(i-1)*FontSize+SpaseSize*i;
}
ObjectCreate("JSep"+65+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("JSep"+65+i,name,FontSize, FontName, SeparatorsTextColor );
ObjectSet("JSep"+65+i, OBJPROP_XDISTANCE, FontSize*65);  
ObjectSet("JSep"+65+i, OBJPROP_YDISTANCE, y);
}
for (i=1;i<=11;i++)
{
if ((i==1)||(i==3)||(i==4)||(i==7)||(i==8)||(i==11))
{
name="-";
y=(i-1)*FontSize+SpaseSize*i;
}
ObjectCreate("JSep"+66+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("JSep"+66+i,name,FontSize, FontName, SeparatorsTextColor );
ObjectSet("JSep"+66+i, OBJPROP_XDISTANCE, FontSize*66);  
ObjectSet("JSep"+66+i, OBJPROP_YDISTANCE, y);
}

for (i=1;i<=11;i++)
{
if ((i==1)||(i==3)||(i==4)||(i==7)||(i==8)||(i==11))
{
name="-";
y=(i-1)*FontSize+SpaseSize*i;
}
ObjectCreate("JSep"+67+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("JSep"+67+i,name,FontSize, FontName, SeparatorsTextColor );
ObjectSet("JSep"+67+i, OBJPROP_XDISTANCE, FontSize*67);  
ObjectSet("JSep"+67+i, OBJPROP_YDISTANCE, y);
}
for (i=1;i<=11;i++)
{
switch(i)
{
case 1:name="+";break;
case 3:name="+";break;
case 4:name="+";break;
case 7:name="+";break;
case 8:name="+";break;
case 11:name="+";break;
default: name="|";break;
}
y=(i-1)*FontSize+SpaseSize*i;
ObjectCreate("JSep"+68+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("JSep"+68+i,name,FontSize, FontName, SeparatorsTextColor );
ObjectSet("JSep"+68+i, OBJPROP_XDISTANCE, FontSize*68);  
ObjectSet("JSep"+68+i, OBJPROP_YDISTANCE, y);
}
for (i=1;i<=11;i++)
{
switch(i)
{
case 1:name="+";break;
case 3:name="+";break;
case 11:name="+";break;
default: name="|";break;
}
y=(i-1)*FontSize+SpaseSize*i;
ObjectCreate("KSep"+69+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("KSep"+69+i,name,FontSize, FontName, SeparatorsTextColor );
ObjectSet("KSep"+69+i, OBJPROP_XDISTANCE, FontSize*69);  
ObjectSet("KSep"+69+i, OBJPROP_YDISTANCE, y);
}
for (i=1;i<=11;i++)
{
if ((i==1)||(i==3)||(i==11))
{
y=(i-1)*FontSize+SpaseSize*i; name="-";
ObjectCreate("KSep"+70+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("KSep"+70+i,name,FontSize, FontName, SeparatorsTextColor );
ObjectSet("KSep"+70+i, OBJPROP_XDISTANCE, FontSize*70);  
ObjectSet("KSep"+70+i, OBJPROP_YDISTANCE, y);
}
}
for (i=1;i<=11;i++)
{
if ((i==1)||(i==3)||(i==11))
{
y=(i-1)*FontSize+SpaseSize*i; name="-";
ObjectCreate("KSep"+71+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("KSep"+71+i,name,FontSize, FontName, SeparatorsTextColor );
ObjectSet("KSep"+71+i, OBJPROP_XDISTANCE, FontSize*71);  
ObjectSet("KSep"+71+i, OBJPROP_YDISTANCE, y);
}
}
for (i=1;i<=11;i++)
{
if ((i==1)||(i==3)||(i==11))
{
y=(i-1)*FontSize+SpaseSize*i; name="-";
ObjectCreate("KSep"+72+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("KSep"+72+i,name,FontSize, FontName, SeparatorsTextColor );
ObjectSet("KSep"+72+i, OBJPROP_XDISTANCE, FontSize*72);  
ObjectSet("KSep"+72+i, OBJPROP_YDISTANCE, y);
}
}
for (i=1;i<=11;i++)
{
if ((i==1)||(i==3)||(i==11))
{
y=(i-1)*FontSize+SpaseSize*i; name="-";
ObjectCreate("KSep"+73+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("KSep"+73+i,name,FontSize, FontName, SeparatorsTextColor );
ObjectSet("KSep"+73+i, OBJPROP_XDISTANCE, FontSize*73);  
ObjectSet("KSep"+73+i, OBJPROP_YDISTANCE, y);
}
}
for (i=1;i<=11;i++)
{
if ((i==1)||(i==3)||(i==11))
{
y=(i-1)*FontSize+SpaseSize*i; name="-";
ObjectCreate("KSep"+74+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("KSep"+74+i,name,FontSize, FontName, SeparatorsTextColor );
ObjectSet("KSep"+74+i, OBJPROP_XDISTANCE, FontSize*74);  
ObjectSet("KSep"+74+i, OBJPROP_YDISTANCE, y);
}
}
for (i=1;i<=11;i++)
{
if ((i==1)||(i==3)||(i==11))
{
y=(i-1)*FontSize+SpaseSize*i; name="-";
ObjectCreate("KSep"+75+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("KSep"+75+i,name,FontSize, FontName, SeparatorsTextColor );
ObjectSet("KSep"+75+i, OBJPROP_XDISTANCE, FontSize*75);  
ObjectSet("KSep"+75+i, OBJPROP_YDISTANCE, y);
}
}
for (i=1;i<=11;i++)
{
if ((i==1)||(i==3)||(i==11))
{
y=(i-1)*FontSize+SpaseSize*i; name="-";
ObjectCreate("KSep"+76+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("KSep"+76+i,name,FontSize, FontName, SeparatorsTextColor );
ObjectSet("KSep"+76+i, OBJPROP_XDISTANCE, FontSize*76);  
ObjectSet("KSep"+76+i, OBJPROP_YDISTANCE, y);
}
}
for (i=1;i<=11;i++)
{
if ((i==1)||(i==3)||(i==11))
{
y=(i-1)*FontSize+SpaseSize*i; name="-";
ObjectCreate("KSep"+77+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("KSep"+77+i,name,FontSize, FontName, SeparatorsTextColor );
ObjectSet("KSep"+77+i, OBJPROP_XDISTANCE, FontSize*77);  
ObjectSet("KSep"+77+i, OBJPROP_YDISTANCE, y);
}
}
for (i=1;i<=11;i++)
{
if ((i==1)||(i==3)||(i==11))
{
y=(i-1)*FontSize+SpaseSize*i; name="-";
ObjectCreate("KSep"+78+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("KSep"+78+i,name,FontSize, FontName, SeparatorsTextColor );
ObjectSet("KSep"+78+i, OBJPROP_XDISTANCE, FontSize*78);  
ObjectSet("KSep"+78+i, OBJPROP_YDISTANCE, y);
}
}
for (i=1;i<=11;i++)
{
if ((i==1)||(i==3)||(i==11))
{
y=(i-1)*FontSize+SpaseSize*i; name="-";
ObjectCreate("KSep"+79+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("KSep"+79+i,name,FontSize, FontName, SeparatorsTextColor );
ObjectSet("KSep"+79+i, OBJPROP_XDISTANCE, FontSize*79);  
ObjectSet("KSep"+79+i, OBJPROP_YDISTANCE, y);
}
}
for (i=1;i<=11;i++)
{
switch(i)
{
case 1:name="+";break;
case 3:name="+";break;
case 11:name="+";break;
default: name="|";break;
}
y=(i-1)*FontSize+SpaseSize*i;
ObjectCreate("KSep"+80+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("KSep"+80+i,name,FontSize, FontName, SeparatorsTextColor );
ObjectSet("KSep"+80+i, OBJPROP_XDISTANCE, FontSize*80);  
ObjectSet("KSep"+80+i, OBJPROP_YDISTANCE, y);
}
//-----------
ObjectDelete("BSep918");
ObjectDelete("BSep919");
ObjectDelete("HSep4518");
ObjectDelete("HSep4519");
//-----------

for (i=12;i<=20;i++)
{
switch(i)
{
case 12:name="+";break;
case 14:name="+";break;
case 20:name="+";break;
default: name="|";break;
}
y=(i-1)*FontSize+SpaseSize*i;
ObjectCreate("LSep"+59+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("LSep"+59+i,name,FontSize, FontName, SeparatorsTextColor );
ObjectSet("LSep"+59+i, OBJPROP_XDISTANCE, FontSize*59);  
ObjectSet("LSep"+59+i, OBJPROP_YDISTANCE, y);
}

for (i=12;i<=20;i++)
{
if ((i==12)||(i==14)||(i==20))
{
y=(i-1)*FontSize+SpaseSize*i; name="-";
ObjectCreate("LSep"+60+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("LSep"+60+i,name,FontSize, FontName, SeparatorsTextColor );
ObjectSet("LSep"+60+i, OBJPROP_XDISTANCE, FontSize*60);  
ObjectSet("LSep"+60+i, OBJPROP_YDISTANCE, y);
}
}

for (i=12;i<=20;i++)
{
if ((i==12)||(i==14)||(i==20))
{
y=(i-1)*FontSize+SpaseSize*i; name="-";
ObjectCreate("LSep"+61+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("LSep"+61+i,name,FontSize, FontName, SeparatorsTextColor );
ObjectSet("LSep"+61+i, OBJPROP_XDISTANCE, FontSize*61);  
ObjectSet("LSep"+61+i, OBJPROP_YDISTANCE, y);
}
}

for (i=12;i<=20;i++)
{
if ((i==12)||(i==14)||(i==20))
{
y=(i-1)*FontSize+SpaseSize*i; name="-";
ObjectCreate("LSep"+62+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("LSep"+62+i,name,FontSize, FontName, SeparatorsTextColor );
ObjectSet("LSep"+62+i, OBJPROP_XDISTANCE, FontSize*62);  
ObjectSet("LSep"+62+i, OBJPROP_YDISTANCE, y);
}
}

for (i=12;i<=20;i++)
{
if ((i==12)||(i==14)||(i==20))
{
y=(i-1)*FontSize+SpaseSize*i; name="-";
ObjectCreate("LSep"+63+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("LSep"+63+i,name,FontSize, FontName, SeparatorsTextColor );
ObjectSet("LSep"+63+i, OBJPROP_XDISTANCE, FontSize*63);  
ObjectSet("LSep"+63+i, OBJPROP_YDISTANCE, y);
}
}

for (i=12;i<=20;i++)
{
if ((i==12)||(i==14)||(i==20))
{
y=(i-1)*FontSize+SpaseSize*i; name="-";
ObjectCreate("LSep"+64+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("LSep"+64+i,name,FontSize, FontName, SeparatorsTextColor );
ObjectSet("LSep"+64+i, OBJPROP_XDISTANCE, FontSize*64);  
ObjectSet("LSep"+64+i, OBJPROP_YDISTANCE, y);
}
}

for (i=12;i<=20;i++)
{
if ((i==12)||(i==14)||(i==20))
{
y=(i-1)*FontSize+SpaseSize*i; name="-";
ObjectCreate("LSep"+65+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("LSep"+65+i,name,FontSize, FontName, SeparatorsTextColor );
ObjectSet("LSep"+65+i, OBJPROP_XDISTANCE, FontSize*65);  
ObjectSet("LSep"+65+i, OBJPROP_YDISTANCE, y);
}
}

for (i=12;i<=20;i++)
{
if ((i==12)||(i==14)||(i==20))
{
y=(i-1)*FontSize+SpaseSize*i; name="-";
ObjectCreate("LSep"+66+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("LSep"+66+i,name,FontSize, FontName, SeparatorsTextColor );
ObjectSet("LSep"+66+i, OBJPROP_XDISTANCE, FontSize*66);  
ObjectSet("LSep"+66+i, OBJPROP_YDISTANCE, y);
}
}

for (i=12;i<=20;i++)
{
if ((i==12)||(i==14)||(i==20))
{
y=(i-1)*FontSize+SpaseSize*i; name="-";
ObjectCreate("LSep"+67+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("LSep"+67+i,name,FontSize, FontName, SeparatorsTextColor );
ObjectSet("LSep"+67+i, OBJPROP_XDISTANCE, FontSize*67);  
ObjectSet("LSep"+67+i, OBJPROP_YDISTANCE, y);
}
}

for (i=12;i<=20;i++)
{
if ((i==12)||(i==14)||(i==20))
{
y=(i-1)*FontSize+SpaseSize*i; name="-";
ObjectCreate("LSep"+68+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("LSep"+68+i,name,FontSize, FontName, SeparatorsTextColor );
ObjectSet("LSep"+68+i, OBJPROP_XDISTANCE, FontSize*68);  
ObjectSet("LSep"+68+i, OBJPROP_YDISTANCE, y);
}
}

for (i=12;i<=20;i++)
{
if ((i==12)||(i==14)||(i==20))
{
y=(i-1)*FontSize+SpaseSize*i; name="-";
ObjectCreate("LSep"+69+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("LSep"+69+i,name,FontSize, FontName, SeparatorsTextColor );
ObjectSet("LSep"+69+i, OBJPROP_XDISTANCE, FontSize*69);  
ObjectSet("LSep"+69+i, OBJPROP_YDISTANCE, y);
}
}

for (i=12;i<=20;i++)
{
if ((i==12)||(i==14)||(i==20))
{
y=(i-1)*FontSize+SpaseSize*i; name="-";
ObjectCreate("LSep"+70+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("LSep"+70+i,name,FontSize, FontName, SeparatorsTextColor );
ObjectSet("LSep"+70+i, OBJPROP_XDISTANCE, FontSize*70);  
ObjectSet("LSep"+70+i, OBJPROP_YDISTANCE, y);
}
}

for (i=12;i<=20;i++)
{
if ((i==12)||(i==14)||(i==20))
{
y=(i-1)*FontSize+SpaseSize*i; name="-";
ObjectCreate("LSep"+71+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("LSep"+71+i,name,FontSize, FontName, SeparatorsTextColor );
ObjectSet("LSep"+71+i, OBJPROP_XDISTANCE, FontSize*71);  
ObjectSet("LSep"+71+i, OBJPROP_YDISTANCE, y);
}
}

for (i=12;i<=20;i++)
{
if ((i==12)||(i==14)||(i==20))
{
y=(i-1)*FontSize+SpaseSize*i; name="-";
ObjectCreate("LSep"+72+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("LSep"+72+i,name,FontSize, FontName, SeparatorsTextColor );
ObjectSet("LSep"+72+i, OBJPROP_XDISTANCE, FontSize*72);  
ObjectSet("LSep"+72+i, OBJPROP_YDISTANCE, y);
}
}

for (i=12;i<=20;i++)
{
if ((i==12)||(i==14)||(i==20))
{
y=(i-1)*FontSize+SpaseSize*i; name="-";
ObjectCreate("LSep"+73+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("LSep"+73+i,name,FontSize, FontName, SeparatorsTextColor );
ObjectSet("LSep"+73+i, OBJPROP_XDISTANCE, FontSize*73);  
ObjectSet("LSep"+73+i, OBJPROP_YDISTANCE, y);
}
}

for (i=12;i<=20;i++)
{
if ((i==12)||(i==14)||(i==20))
{
y=(i-1)*FontSize+SpaseSize*i; name="-";
ObjectCreate("LSep"+74+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("LSep"+74+i,name,FontSize, FontName, SeparatorsTextColor );
ObjectSet("LSep"+74+i, OBJPROP_XDISTANCE, FontSize*74);  
ObjectSet("LSep"+74+i, OBJPROP_YDISTANCE, y);
}
}

for (i=12;i<=20;i++)
{
if ((i==12)||(i==14)||(i==20))
{
y=(i-1)*FontSize+SpaseSize*i; name="-";
ObjectCreate("LSep"+75+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("LSep"+75+i,name,FontSize, FontName, SeparatorsTextColor );
ObjectSet("LSep"+75+i, OBJPROP_XDISTANCE, FontSize*75);  
ObjectSet("LSep"+75+i, OBJPROP_YDISTANCE, y);
}
}

for (i=12;i<=20;i++)
{
if ((i==12)||(i==14)||(i==20))
{
y=(i-1)*FontSize+SpaseSize*i; name="-";
ObjectCreate("LSep"+76+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("LSep"+76+i,name,FontSize, FontName, SeparatorsTextColor );
ObjectSet("LSep"+76+i, OBJPROP_XDISTANCE, FontSize*76);  
ObjectSet("LSep"+76+i, OBJPROP_YDISTANCE, y);
}
}

for (i=12;i<=20;i++)
{
if ((i==12)||(i==14)||(i==20))
{
y=(i-1)*FontSize+SpaseSize*i; name="-";
ObjectCreate("LSep"+77+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("LSep"+77+i,name,FontSize, FontName, SeparatorsTextColor );
ObjectSet("LSep"+77+i, OBJPROP_XDISTANCE, FontSize*77);  
ObjectSet("LSep"+77+i, OBJPROP_YDISTANCE, y);
}
}

for (i=12;i<=20;i++)
{
if ((i==12)||(i==14)||(i==20))
{
y=(i-1)*FontSize+SpaseSize*i; name="-";
ObjectCreate("LSep"+78+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("LSep"+78+i,name,FontSize, FontName, SeparatorsTextColor );
ObjectSet("LSep"+78+i, OBJPROP_XDISTANCE, FontSize*78);  
ObjectSet("LSep"+78+i, OBJPROP_YDISTANCE, y);
}
}
for (i=12;i<=20;i++)
{
if ((i==12)||(i==14)||(i==20))
{
y=(i-1)*FontSize+SpaseSize*i; name="-";
ObjectCreate("LSep"+79+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("LSep"+79+i,name,FontSize, FontName, SeparatorsTextColor );
ObjectSet("LSep"+79+i, OBJPROP_XDISTANCE, FontSize*79);  
ObjectSet("LSep"+79+i, OBJPROP_YDISTANCE, y);
}
}

for (i=12;i<=20;i++)
{
switch(i)
{
case 12:name="+";break;
case 14:name="+";break;
case 20:name="+";break;
default: name="|";break;
}
y=(i-1)*FontSize+SpaseSize*i;
ObjectCreate("LSep"+80+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("LSep"+80+i,name,FontSize, FontName, SeparatorsTextColor );
ObjectSet("LSep"+80+i, OBJPROP_XDISTANCE, FontSize*80);  
ObjectSet("LSep"+80+i, OBJPROP_YDISTANCE, y);
}

return(0);
}

int start()
  {
CreateTable();
for (i=4; i<=16; i++)
{
y=(i-1)*FontSize+SpaseSize*i;
ObjectCreate(Indicators[i-4], OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText(Indicators[i-4],Indicators[i-4],FontSize, FontName, IndicatorsTextColor );
ObjectSet(Indicators[i-4], OBJPROP_XDISTANCE, FontSize*1);  
ObjectSet(Indicators[i-4], OBJPROP_YDISTANCE, y);
}
for (i=1; i<=8; i++)
{
switch(i)
{
case 1:x=10;break;
case 2:x=16;break;
case 3:x=22;break;
case 4:x=28;break;
case 5:x=34;break;
case 6:x=40;break;
case 7:x=46;break;
case 8:x=52;break;
}
ObjectCreate(Periods[i-1], OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText(Periods[i-1],Periods[i-1],FontSize, FontName, IndicatorsTextColor );
ObjectSet(Periods[i-1], OBJPROP_XDISTANCE, FontSize*(x));  
ObjectSet(Periods[i-1], OBJPROP_YDISTANCE, (2-1)*FontSize+2*SpaseSize);
}
ObjectCreate("TrendInfo", OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("TrendInfo","Trend",FontSize, FontName, IndicatorsTextColor );
ObjectSet("TrendInfo", OBJPROP_XDISTANCE, FontSize*(60));  
ObjectSet("TrendInfo", OBJPROP_YDISTANCE, (2-1)*FontSize+2*SpaseSize);
ObjectCreate("PivotsInfo", OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("PivotsInfo","Pivots",FontSize, FontName, IndicatorsTextColor );
ObjectSet("PivotsInfo", OBJPROP_XDISTANCE, FontSize*(70));  
ObjectSet("PivotsInfo", OBJPROP_YDISTANCE, (2-1)*FontSize+2*SpaseSize);
//----------

for (i=1; i<=8; i++)
{
switch(i)
{
case 1:x=10;break;
case 2:x=16;break;
case 3:x=22;break;
case 4:x=28;break;
case 5:x=34;break;
case 6:x=40;break;
case 7:x=46;break;
case 8:x=52;break;
}
ObjectCreate("S"+1+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSet("S"+1+i, OBJPROP_XDISTANCE, FontSize*(x));  
ObjectSet("S"+1+i, OBJPROP_YDISTANCE, (4-1)*FontSize+4*SpaseSize);
}
for (i=1; i<=8; i++)
{
switch(i)
{
case 1:x=10;break;
case 2:x=16;break;
case 3:x=22;break;
case 4:x=28;break;
case 5:x=34;break;
case 6:x=40;break;
case 7:x=46;break;
case 8:x=52;break;
}
ObjectCreate("S"+2+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSet("S"+2+i, OBJPROP_XDISTANCE, FontSize*(x));  
ObjectSet("S"+2+i, OBJPROP_YDISTANCE, (5-1)*FontSize+5*SpaseSize);
}
for (i=1; i<=8; i++)
{
switch(i)
{
case 1:x=10;break;
case 2:x=16;break;
case 3:x=22;break;
case 4:x=28;break;
case 5:x=34;break;
case 6:x=40;break;
case 7:x=46;break;
case 8:x=52;break;
}
ObjectCreate("S"+3+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSet("S"+3+i, OBJPROP_XDISTANCE, FontSize*(x));  
ObjectSet("S"+3+i, OBJPROP_YDISTANCE, (6-1)*FontSize+6*SpaseSize);
}
for (i=1; i<=8; i++)
{
switch(i)
{
case 1:x=10;break;
case 2:x=16;break;
case 3:x=22;break;
case 4:x=28;break;
case 5:x=34;break;
case 6:x=40;break;
case 7:x=46;break;
case 8:x=52;break;
}
ObjectCreate("S"+4+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSet("S"+4+i, OBJPROP_XDISTANCE, FontSize*(x));  
ObjectSet("S"+4+i, OBJPROP_YDISTANCE, (7-1)*FontSize+7*SpaseSize);
}
for (i=1; i<=8; i++)
{
switch(i)
{
case 1:x=10;break;
case 2:x=16;break;
case 3:x=22;break;
case 4:x=28;break;
case 5:x=34;break;
case 6:x=40;break;
case 7:x=46;break;
case 8:x=52;break;
}
ObjectCreate("S"+5+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSet("S"+5+i, OBJPROP_XDISTANCE, FontSize*(x));  
ObjectSet("S"+5+i, OBJPROP_YDISTANCE, (8-1)*FontSize+8*SpaseSize);
}
for (i=1; i<=8; i++)
{
switch(i)
{
case 1:x=10;break;
case 2:x=16;break;
case 3:x=22;break;
case 4:x=28;break;
case 5:x=34;break;
case 6:x=40;break;
case 7:x=46;break;
case 8:x=52;break;
}
ObjectCreate("S"+6+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSet("S"+6+i, OBJPROP_XDISTANCE, FontSize*(x));  
ObjectSet("S"+6+i, OBJPROP_YDISTANCE, (9-1)*FontSize+9*SpaseSize);
}
for (i=1; i<=8; i++)
{
switch(i)
{
case 1:x=10;break;
case 2:x=16;break;
case 3:x=22;break;
case 4:x=28;break;
case 5:x=34;break;
case 6:x=40;break;
case 7:x=46;break;
case 8:x=52;break;
}
ObjectCreate("S"+7+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSet("S"+7+i, OBJPROP_XDISTANCE, FontSize*(x));  
ObjectSet("S"+7+i, OBJPROP_YDISTANCE, (10-1)*FontSize+10*SpaseSize);
}
for (i=1; i<=8; i++)
{
switch(i)
{
case 1:x=10;break;
case 2:x=16;break;
case 3:x=22;break;
case 4:x=28;break;
case 5:x=34;break;
case 6:x=40;break;
case 7:x=46;break;
case 8:x=52;break;
}
ObjectCreate("S"+8+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSet("S"+8+i, OBJPROP_XDISTANCE, FontSize*(x));  
ObjectSet("S"+8+i, OBJPROP_YDISTANCE, (11-1)*FontSize+11*SpaseSize);
}
for (i=1; i<=8; i++)
{
switch(i)
{
case 1:x=10;break;
case 2:x=16;break;
case 3:x=22;break;
case 4:x=28;break;
case 5:x=34;break;
case 6:x=40;break;
case 7:x=46;break;
case 8:x=52;break;
}
ObjectCreate("S"+9+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSet("S"+9+i, OBJPROP_XDISTANCE, FontSize*(x));  
ObjectSet("S"+9+i, OBJPROP_YDISTANCE, (12-1)*FontSize+12*SpaseSize);
}
for (i=1; i<=8; i++)
{
switch(i)
{
case 1:x=10;break;
case 2:x=16;break;
case 3:x=22;break;
case 4:x=28;break;
case 5:x=34;break;
case 6:x=40;break;
case 7:x=46;break;
case 8:x=52;break;
}
ObjectCreate("S"+10+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSet("S"+10+i, OBJPROP_XDISTANCE, FontSize*(x));  
ObjectSet("S"+10+i, OBJPROP_YDISTANCE, (13-1)*FontSize+13*SpaseSize);
}
for (i=1; i<=8; i++)
{
switch(i)
{
case 1:x=10;break;
case 2:x=16;break;
case 3:x=22;break;
case 4:x=28;break;
case 5:x=34;break;
case 6:x=40;break;
case 7:x=46;break;
case 8:x=52;break;
}
ObjectCreate("S"+11+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSet("S"+11+i, OBJPROP_XDISTANCE, FontSize*(x));  
ObjectSet("S"+11+i, OBJPROP_YDISTANCE, (14-1)*FontSize+14*SpaseSize);
}
for (i=1; i<=8; i++)
{
switch(i)
{
case 1:x=10;break;
case 2:x=16;break;
case 3:x=22;break;
case 4:x=28;break;
case 5:x=34;break;
case 6:x=40;break;
case 7:x=46;break;
case 8:x=52;break;
}
ObjectCreate("S"+12+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSet("S"+12+i, OBJPROP_XDISTANCE, FontSize*(x));  
ObjectSet("S"+12+i, OBJPROP_YDISTANCE, (15-1)*FontSize+15*SpaseSize);
}
for (i=1; i<=8; i++)
{
switch(i)
{
case 1:x=10;break;
case 2:x=16;break;
case 3:x=22;break;
case 4:x=28;break;
case 5:x=34;break;
case 6:x=40;break;
case 7:x=46;break;
case 8:x=52;break;
}
ObjectCreate("S"+13+i, OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSet("S"+13+i, OBJPROP_XDISTANCE, FontSize*(x));  
ObjectSet("S"+13+i, OBJPROP_YDISTANCE, (16-1)*FontSize+16*SpaseSize);
}
//-----------
int Code;
color CodeColor;
int SumUpsM5=0;
int SumUpsM15=0;
int SumUpsM30=0;
int SumUpsH1=0;
int SumUpsH4D1=0;

//----------- Moving Average
if (iMA(NULL,PERIOD_M1,20,0,MODE_SMA,PRICE_CLOSE,0)>iMA(NULL,PERIOD_M1,20,0,MODE_SMA,PRICE_CLOSE,1))
{Code=SymbolCodeBuy;CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+1+1,CharToStr(Code),FontSize,"Wingdings",CodeColor);
if (iMA(NULL,PERIOD_M5,20,0,MODE_SMA,PRICE_CLOSE,0)>iMA(NULL,PERIOD_M5,20,0,MODE_SMA,PRICE_CLOSE,1))
{Code=SymbolCodeBuy;SumUpsM5++;CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+1+2,CharToStr(Code),FontSize,"Wingdings",CodeColor);
if (iMA(NULL,PERIOD_M15,20,0,MODE_SMA,PRICE_CLOSE,0)>iMA(NULL,PERIOD_M15,20,0,MODE_SMA,PRICE_CLOSE,1))
{Code=SymbolCodeBuy;SumUpsM15++;CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+1+3,CharToStr(Code),FontSize,"Wingdings",CodeColor);
if (iMA(NULL,PERIOD_M30,20,0,MODE_SMA,PRICE_CLOSE,0)>iMA(NULL,PERIOD_M30,20,0,MODE_SMA,PRICE_CLOSE,1))
{Code=SymbolCodeBuy;SumUpsM30++;CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+1+4,CharToStr(Code),FontSize, "Wingdings", CodeColor);
if (iMA(NULL,PERIOD_H1,20,0,MODE_SMA,PRICE_CLOSE,0)>iMA(NULL,PERIOD_H1,20,0,MODE_SMA,PRICE_CLOSE,1))
{Code=SymbolCodeBuy;SumUpsH1++;CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+1+5,CharToStr(Code),FontSize,"Wingdings",CodeColor);
if (iMA(NULL,PERIOD_H4,20,0,MODE_SMA,PRICE_CLOSE,0)>iMA(NULL,PERIOD_H4,20,0,MODE_SMA,PRICE_CLOSE,1))
{Code=SymbolCodeBuy;SumUpsH4D1++;CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+1+6,CharToStr(Code),FontSize,"Wingdings",CodeColor);
if (iMA(NULL,PERIOD_D1,20,0,MODE_SMA,PRICE_CLOSE,0)>iMA(NULL,PERIOD_D1,20,0,MODE_SMA,PRICE_CLOSE,1))
{Code=SymbolCodeBuy;SumUpsH4D1++;CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+1+7,CharToStr(Code),FontSize,"Wingdings",CodeColor);
if (iMA(NULL,PERIOD_W1,20,0,MODE_SMA,PRICE_CLOSE,0)>iMA(NULL,PERIOD_W1,20,0,MODE_SMA,PRICE_CLOSE,1))
{Code=SymbolCodeBuy;CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+1+8,CharToStr(Code),FontSize,"Wingdings",CodeColor);

if (iMA(NULL,PERIOD_M1,50,0,MODE_SMA,PRICE_CLOSE,0)>iMA(NULL,PERIOD_M1,50,0,MODE_SMA,PRICE_CLOSE,1))
{Code=SymbolCodeBuy;CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+2+1,CharToStr(Code),FontSize,"Wingdings",CodeColor);
if (iMA(NULL,PERIOD_M5,50,0,MODE_SMA,PRICE_CLOSE,0)>iMA(NULL,PERIOD_M5,50,0,MODE_SMA,PRICE_CLOSE,1))
{Code=SymbolCodeBuy;SumUpsM5++;CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+2+2,CharToStr(Code),FontSize,"Wingdings",CodeColor);
if (iMA(NULL,PERIOD_M15,50,0,MODE_SMA,PRICE_CLOSE,0)>iMA(NULL,PERIOD_M15,50,0,MODE_SMA,PRICE_CLOSE,1))
{Code=SymbolCodeBuy;SumUpsM15++;CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+2+3,CharToStr(Code),FontSize,"Wingdings",CodeColor);
if (iMA(NULL,PERIOD_M30,50,0,MODE_SMA,PRICE_CLOSE,0)>iMA(NULL,PERIOD_M30,50,0,MODE_SMA,PRICE_CLOSE,1))
{Code=SymbolCodeBuy;SumUpsM30++;CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+2+4,CharToStr(Code),FontSize,"Wingdings",CodeColor);
if (iMA(NULL,PERIOD_H1,50,0,MODE_SMA,PRICE_CLOSE,0)>iMA(NULL,PERIOD_H1,50,0,MODE_SMA,PRICE_CLOSE,1))
{Code=SymbolCodeBuy;SumUpsH1++;CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+2+5,CharToStr(Code),FontSize,"Wingdings",CodeColor);
if (iMA(NULL,PERIOD_H4,50,0,MODE_SMA,PRICE_CLOSE,0)>iMA(NULL,PERIOD_H4,50,0,MODE_SMA,PRICE_CLOSE,1))
{Code=SymbolCodeBuy;SumUpsH4D1++;CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+2+6,CharToStr(Code),FontSize,"Wingdings",CodeColor);
if (iMA(NULL,PERIOD_D1,50,0,MODE_SMA,PRICE_CLOSE,0)>iMA(NULL,PERIOD_D1,50,0,MODE_SMA,PRICE_CLOSE,1))
{Code=SymbolCodeBuy;SumUpsH4D1++;CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+2+7,CharToStr(Code),FontSize,"Wingdings",CodeColor);
if (iMA(NULL,PERIOD_W1,50,0,MODE_SMA,PRICE_CLOSE,0)>iMA(NULL,PERIOD_W1,50,0,MODE_SMA,PRICE_CLOSE,1))
{Code=SymbolCodeBuy;CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+2+8,CharToStr(Code),FontSize,"Wingdings",CodeColor);

if (iMA(NULL,PERIOD_M1,100,0,MODE_SMA,PRICE_CLOSE,0)>iMA(NULL,PERIOD_M1,100,0,MODE_SMA,PRICE_CLOSE,1))
{Code=SymbolCodeBuy;CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+3+1,CharToStr(Code),FontSize,"Wingdings",CodeColor);
if (iMA(NULL,PERIOD_M5,100,0,MODE_SMA,PRICE_CLOSE,0)>iMA(NULL,PERIOD_M5,100,0,MODE_SMA,PRICE_CLOSE,1))
{Code=SymbolCodeBuy;SumUpsM5++;CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+3+2,CharToStr(Code),FontSize,"Wingdings",CodeColor);
if (iMA(NULL,PERIOD_M15,100,0,MODE_SMA,PRICE_CLOSE,0)>iMA(NULL,PERIOD_M15,100,0,MODE_SMA,PRICE_CLOSE,1))
{Code=SymbolCodeBuy;SumUpsM15++;CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+3+3,CharToStr(Code),FontSize,"Wingdings",CodeColor);
if (iMA(NULL,PERIOD_M30,100,0,MODE_SMA,PRICE_CLOSE,0)>iMA(NULL,PERIOD_M30,100,0,MODE_SMA,PRICE_CLOSE,1))
{Code=SymbolCodeBuy;SumUpsM30++;CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+3+4,CharToStr(Code),FontSize,"Wingdings",CodeColor);
if (iMA(NULL,PERIOD_H1,100,0,MODE_SMA,PRICE_CLOSE,0)>iMA(NULL,PERIOD_H1,100,0,MODE_SMA,PRICE_CLOSE,1))
{Code=SymbolCodeBuy;SumUpsH1++;CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+3+5,CharToStr(Code),FontSize,"Wingdings",CodeColor);
if (iMA(NULL,PERIOD_H4,100,0,MODE_SMA,PRICE_CLOSE,0)>iMA(NULL,PERIOD_H4,100,0,MODE_SMA,PRICE_CLOSE,1))
{Code=SymbolCodeBuy;SumUpsH4D1++;CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+3+6,CharToStr(Code),FontSize,"Wingdings",CodeColor);
if (iMA(NULL,PERIOD_D1,100,0,MODE_SMA,PRICE_CLOSE,0)>iMA(NULL,PERIOD_D1,100,0,MODE_SMA,PRICE_CLOSE,1))
{Code=SymbolCodeBuy;SumUpsH4D1++;CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+3+7,CharToStr(Code),FontSize,"Wingdings",CodeColor);
if (iMA(NULL,PERIOD_W1,100,0,MODE_SMA,PRICE_CLOSE,0)>iMA(NULL,PERIOD_W1,100,0,MODE_SMA,PRICE_CLOSE,1))
{Code=SymbolCodeBuy;CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+3+8,CharToStr(Code),FontSize,"Wingdings",CodeColor);
//-----Average Directional Movement Index
if (iADX(NULL,PERIOD_M1,14,PRICE_CLOSE,MODE_MAIN,0)>iADX(NULL,PERIOD_M1,14,PRICE_CLOSE,MODE_MAIN,1))
{Code=SymbolCodeBuy;CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+4+1,CharToStr(Code),FontSize,"Wingdings",CodeColor); 
if (iADX(NULL,PERIOD_M5,14,PRICE_CLOSE,MODE_MAIN,0)>iADX(NULL,PERIOD_M5,14,PRICE_CLOSE,MODE_MAIN,1))
{Code=SymbolCodeBuy;SumUpsM5++;CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+4+2,CharToStr(Code),FontSize,"Wingdings",CodeColor);
if (iADX(NULL,PERIOD_M15,14,PRICE_CLOSE,MODE_MAIN,0)>iADX(NULL,PERIOD_M15,14,PRICE_CLOSE,MODE_MAIN,1))
{Code=SymbolCodeBuy;SumUpsM15++;CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+4+3,CharToStr(Code),FontSize,"Wingdings",CodeColor);
if (iADX(NULL,PERIOD_M30,14,PRICE_CLOSE,MODE_MAIN,0)>iADX(NULL,PERIOD_M30,14,PRICE_CLOSE,MODE_MAIN,1))
{Code=SymbolCodeBuy;SumUpsM30++;CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+4+4,CharToStr(Code),FontSize,"Wingdings",CodeColor);
if (iADX(NULL,PERIOD_H1,14,PRICE_CLOSE,MODE_MAIN,0)>iADX(NULL,PERIOD_H1,14,PRICE_CLOSE,MODE_MAIN,1))
{Code=SymbolCodeBuy;SumUpsH1++;CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+4+5,CharToStr(Code),FontSize,"Wingdings",CodeColor);
if (iADX(NULL,PERIOD_H4,14,PRICE_CLOSE,MODE_MAIN,0)>iADX(NULL,PERIOD_H4,14,PRICE_CLOSE,MODE_MAIN,1))
{Code=SymbolCodeBuy;SumUpsH4D1++;CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+4+6,CharToStr(Code),FontSize,"Wingdings",CodeColor);
if (iADX(NULL,PERIOD_D1,14,PRICE_CLOSE,MODE_MAIN,0)>iADX(NULL,PERIOD_D1,14,PRICE_CLOSE,MODE_MAIN,1))
{Code=SymbolCodeBuy;SumUpsH4D1++;CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+4+7,CharToStr(Code),FontSize,"Wingdings",CodeColor);
if (iADX(NULL,PERIOD_W1,14,PRICE_CLOSE,MODE_MAIN,0)>iADX(NULL,PERIOD_W1,14,PRICE_CLOSE,MODE_MAIN,1))
{Code=SymbolCodeBuy;CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+4+8,CharToStr(Code),FontSize,"Wingdings",CodeColor);
//-----Bears
if (iBearsPower(NULL,PERIOD_M1, 13,PRICE_CLOSE,0)>iBearsPower(NULL,PERIOD_M1, 13,PRICE_CLOSE,1))
{Code=SymbolCodeBuy;CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+5+1,CharToStr(Code),FontSize,"Wingdings",CodeColor);
if (iBearsPower(NULL,PERIOD_M5, 13,PRICE_CLOSE,0)>iBearsPower(NULL,PERIOD_M5, 13,PRICE_CLOSE,1))
{Code=SymbolCodeBuy;SumUpsM5++;CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+5+2,CharToStr(Code),FontSize,"Wingdings",CodeColor);
if (iBearsPower(NULL,PERIOD_M15, 13,PRICE_CLOSE,0)>iBearsPower(NULL,PERIOD_M15, 13,PRICE_CLOSE,1))
{Code=SymbolCodeBuy;SumUpsM15++;CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+5+3,CharToStr(Code),FontSize,"Wingdings",CodeColor);
if (iBearsPower(NULL,PERIOD_M30, 13,PRICE_CLOSE,0)>iBearsPower(NULL,PERIOD_M30, 13,PRICE_CLOSE,1))
{Code=SymbolCodeBuy;SumUpsM30++;CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+5+4,CharToStr(Code),FontSize,"Wingdings",CodeColor);
if (iBearsPower(NULL,PERIOD_H1, 13,PRICE_CLOSE,0)>iBearsPower(NULL,PERIOD_H1, 13,PRICE_CLOSE,1))
{Code=SymbolCodeBuy;SumUpsH1++;CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+5+5,CharToStr(Code),FontSize,"Wingdings",CodeColor);
if (iBearsPower(NULL,PERIOD_H4, 13,PRICE_CLOSE,0)>iBearsPower(NULL,PERIOD_H4, 13,PRICE_CLOSE,1))
{Code=SymbolCodeBuy;SumUpsH4D1++;CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+5+6,CharToStr(Code),FontSize,"Wingdings",CodeColor);
if (iBearsPower(NULL,PERIOD_D1, 13,PRICE_CLOSE,0)>iBearsPower(NULL,PERIOD_D1, 13,PRICE_CLOSE,1))
{Code=SymbolCodeBuy;SumUpsH4D1++;CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+5+7,CharToStr(Code),FontSize,"Wingdings",CodeColor);
if (iBearsPower(NULL,PERIOD_W1, 13,PRICE_CLOSE,0)>iBearsPower(NULL,PERIOD_W1, 13,PRICE_CLOSE,1))
{Code=SymbolCodeBuy;CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+5+8,CharToStr(Code),FontSize, "Wingdings",CodeColor);
//----Bulls
if (iBullsPower(NULL,PERIOD_M1, 13,PRICE_CLOSE,0)>iBullsPower(NULL,PERIOD_M1, 13,PRICE_CLOSE,1))
{Code=SymbolCodeBuy;CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+6+1,CharToStr(Code),FontSize,"Wingdings",CodeColor);
if (iBullsPower(NULL,PERIOD_M5, 13,PRICE_CLOSE,0)>iBullsPower(NULL,PERIOD_M5, 13,PRICE_CLOSE,1))
{Code=SymbolCodeBuy;SumUpsM5++;CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+6+2,CharToStr(Code),FontSize,"Wingdings",CodeColor);
if (iBullsPower(NULL,PERIOD_M15, 13,PRICE_CLOSE,0)>iBullsPower(NULL,PERIOD_M15, 13,PRICE_CLOSE,1))
{Code=SymbolCodeBuy;SumUpsM15++;CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+6+3,CharToStr(Code),FontSize,"Wingdings",CodeColor);
if (iBullsPower(NULL,PERIOD_M30, 13,PRICE_CLOSE,0)>iBullsPower(NULL,PERIOD_M30, 13,PRICE_CLOSE,1))
{Code=SymbolCodeBuy;SumUpsM30++;CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+6+4,CharToStr(Code),FontSize,"Wingdings",CodeColor);
if (iBullsPower(NULL,PERIOD_H1, 13,PRICE_CLOSE,0)>iBullsPower(NULL,PERIOD_H1, 13,PRICE_CLOSE,1))
{Code=SymbolCodeBuy;SumUpsH1++;CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+6+5,CharToStr(Code),FontSize,"Wingdings",CodeColor);
if (iBullsPower(NULL,PERIOD_H4, 13,PRICE_CLOSE,0)>iBullsPower(NULL,PERIOD_H4, 13,PRICE_CLOSE,1))
{Code=SymbolCodeBuy;SumUpsH4D1++;CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+6+6,CharToStr(Code),FontSize,"Wingdings",CodeColor);
if (iBullsPower(NULL,PERIOD_D1, 13,PRICE_CLOSE,0)>iBullsPower(NULL,PERIOD_D1, 13,PRICE_CLOSE,1))
{Code=SymbolCodeBuy;SumUpsH4D1++;CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+6+7,CharToStr(Code),FontSize,"Wingdings",CodeColor);
if (iBullsPower(NULL,PERIOD_W1, 13,PRICE_CLOSE,0)>iBullsPower(NULL,PERIOD_W1, 13,PRICE_CLOSE,1))
{Code=SymbolCodeBuy;CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+6+8,CharToStr(Code),FontSize,"Wingdings",CodeColor);
//------CCI
if (iCCI(NULL,PERIOD_M1,14,PRICE_CLOSE,0)>iCCI(NULL,PERIOD_M1,14,PRICE_CLOSE,1))
{Code=SymbolCodeBuy;CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+7+1,CharToStr(Code),FontSize,"Wingdings",CodeColor); 
if (iCCI(NULL,PERIOD_M5,14,PRICE_CLOSE,0)>iCCI(NULL,PERIOD_M5,14,PRICE_CLOSE,1))
{Code=SymbolCodeBuy;SumUpsM5++;CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+7+2,CharToStr(Code),FontSize,"Wingdings",CodeColor);
if (iCCI(NULL,PERIOD_M15,14,PRICE_CLOSE,0)>iCCI(NULL,PERIOD_M15,14,PRICE_CLOSE,1))
{Code=SymbolCodeBuy;SumUpsM15++;CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+7+3,CharToStr(Code),FontSize,"Wingdings",CodeColor);
if (iCCI(NULL,PERIOD_M30,14,PRICE_CLOSE,0)>iCCI(NULL,PERIOD_M30,14,PRICE_CLOSE,1))
{Code=SymbolCodeBuy;SumUpsM30++;CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+7+4,CharToStr(Code),FontSize,"Wingdings",CodeColor);
if (iCCI(NULL,PERIOD_H1,14,PRICE_CLOSE,0)>iCCI(NULL,PERIOD_H1,14,PRICE_CLOSE,1))
{Code=SymbolCodeBuy;SumUpsH1++;CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+7+5,CharToStr(Code),FontSize,"Wingdings",CodeColor);
if (iCCI(NULL,PERIOD_H4,14,PRICE_CLOSE,0)>iCCI(NULL,PERIOD_H4,14,PRICE_CLOSE,1))
{Code=SymbolCodeBuy;SumUpsH4D1++;CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+7+6,CharToStr(Code),FontSize,"Wingdings",CodeColor);
if (iCCI(NULL,PERIOD_D1,14,PRICE_CLOSE,0)>iCCI(NULL,PERIOD_D1,14,PRICE_CLOSE,1))
{Code=SymbolCodeBuy;SumUpsH4D1++;CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+7+7,CharToStr(Code),FontSize,"Wingdings",CodeColor);
if (iCCI(NULL,PERIOD_W1,14,PRICE_CLOSE,0)>iCCI(NULL,PERIOD_W1,14,PRICE_CLOSE,1))
{Code=SymbolCodeBuy;CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+7+8,CharToStr(Code),FontSize,"Wingdings",CodeColor);
//----Dem
if (iDeMarker(NULL,PERIOD_M1, 13, 0)>iDeMarker(NULL,PERIOD_M1, 13, 1))
{Code=SymbolCodeBuy;CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+8+1,CharToStr(Code),FontSize,"Wingdings",CodeColor);
if (iDeMarker(NULL,PERIOD_M5, 13, 0)>iDeMarker(NULL,PERIOD_M5, 13, 1))
{Code=SymbolCodeBuy;SumUpsM5++;CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+8+2,CharToStr(Code),FontSize,"Wingdings",CodeColor);
if (iDeMarker(NULL,PERIOD_M15, 13, 0)>iDeMarker(NULL,PERIOD_M15, 13, 1))
{Code=SymbolCodeBuy;SumUpsM15++; CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+8+3,CharToStr(Code),FontSize,"Wingdings",CodeColor);
if (iDeMarker(NULL,PERIOD_M30, 13, 0)>iDeMarker(NULL,PERIOD_M30, 13, 1))
{Code=SymbolCodeBuy;SumUpsM30++; CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+8+4,CharToStr(Code),FontSize,"Wingdings",CodeColor);
if (iDeMarker(NULL,PERIOD_H1, 13, 0)>iDeMarker(NULL,PERIOD_H1, 13, 1))
{Code=SymbolCodeBuy;SumUpsH1++; CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+8+5,CharToStr(Code),FontSize,"Wingdings",CodeColor);
if (iDeMarker(NULL,PERIOD_H4, 13, 0)>iDeMarker(NULL,PERIOD_H4, 13, 1))
{Code=SymbolCodeBuy;SumUpsH4D1++; CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+8+6,CharToStr(Code),FontSize,"Wingdings",CodeColor);
if (iDeMarker(NULL,PERIOD_D1, 13, 0)>iDeMarker(NULL,PERIOD_D1, 13, 1))
{Code=SymbolCodeBuy;SumUpsH4D1++; CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+8+7,CharToStr(Code),FontSize,"Wingdings",CodeColor);
if (iDeMarker(NULL,PERIOD_W1, 13, 0)>iDeMarker(NULL,PERIOD_W1, 13, 1))
{Code=SymbolCodeBuy;CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+8+8,CharToStr(Code),FontSize,"Wingdings",CodeColor);
//-----Force
if (iForce(NULL,PERIOD_M1,13,MODE_SMA,PRICE_CLOSE,0)>iForce(NULL,PERIOD_M1,13,MODE_SMA,PRICE_CLOSE,1))
{Code=SymbolCodeBuy;CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+9+1,CharToStr(Code),FontSize,"Wingdings",CodeColor);
if (iForce(NULL,PERIOD_M5,13,MODE_SMA,PRICE_CLOSE,0)>iForce(NULL,PERIOD_M5,13,MODE_SMA,PRICE_CLOSE,1))
{Code=SymbolCodeBuy;SumUpsM5++;CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+9+2,CharToStr(Code),FontSize,"Wingdings",CodeColor);
if (iForce(NULL,PERIOD_M15,13,MODE_SMA,PRICE_CLOSE,0)>iForce(NULL,PERIOD_M15,13,MODE_SMA,PRICE_CLOSE,1))
{Code=SymbolCodeBuy;SumUpsM15++; CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+9+3,CharToStr(Code),FontSize,"Wingdings",CodeColor);
if (iForce(NULL,PERIOD_M30,13,MODE_SMA,PRICE_CLOSE,0)>iForce(NULL,PERIOD_M30,13,MODE_SMA,PRICE_CLOSE,1))
{Code=SymbolCodeBuy;SumUpsM30++; CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+9+4,CharToStr(Code),FontSize,"Wingdings",CodeColor);
if (iForce(NULL,PERIOD_H1,13,MODE_SMA,PRICE_CLOSE,0)>iForce(NULL,PERIOD_H1,13,MODE_SMA,PRICE_CLOSE,1))
{Code=SymbolCodeBuy;SumUpsH1++; CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+9+5,CharToStr(Code),FontSize,"Wingdings",CodeColor);
if (iForce(NULL,PERIOD_H4,13,MODE_SMA,PRICE_CLOSE,0)>iForce(NULL,PERIOD_H4,13,MODE_SMA,PRICE_CLOSE,1))
{Code=SymbolCodeBuy;SumUpsH4D1++; CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+9+6,CharToStr(Code),FontSize,"Wingdings",CodeColor);
if (iForce(NULL,PERIOD_D1,13,MODE_SMA,PRICE_CLOSE,0)>iForce(NULL,PERIOD_D1,13,MODE_SMA,PRICE_CLOSE,1))
{Code=SymbolCodeBuy;SumUpsH4D1++; CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+9+7,CharToStr(Code),FontSize,"Wingdings",CodeColor);
if (iForce(NULL,PERIOD_W1,13,MODE_SMA,PRICE_CLOSE,0)>iForce(NULL,PERIOD_W1,13,MODE_SMA,PRICE_CLOSE,1))
{Code=SymbolCodeBuy;CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+9+8,CharToStr(Code),FontSize,"Wingdings",CodeColor);
//-----MACD
if (iMACD(NULL,PERIOD_M1,12,26,9,PRICE_CLOSE,MODE_MAIN,0)>iMACD(NULL,PERIOD_M1,12,26,9,PRICE_CLOSE,MODE_MAIN,1))
{Code=SymbolCodeBuy;CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+10+1,CharToStr(Code),FontSize,"Wingdings",CodeColor);
if (iMACD(NULL,PERIOD_M5,12,26,9,PRICE_CLOSE,MODE_MAIN,0)>iMACD(NULL,PERIOD_M5,12,26,9,PRICE_CLOSE,MODE_MAIN,1))
{Code=SymbolCodeBuy;SumUpsM5++;CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+10+2,CharToStr(Code),FontSize,"Wingdings",CodeColor);
if (iMACD(NULL,PERIOD_M15,12,26,9,PRICE_CLOSE,MODE_MAIN,0)>iMACD(NULL,PERIOD_M15,12,26,9,PRICE_CLOSE,MODE_MAIN,1))
{Code=SymbolCodeBuy;SumUpsM15++;CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+10+3,CharToStr(Code),FontSize,"Wingdings",CodeColor);
if (iMACD(NULL,PERIOD_M30,12,26,9,PRICE_CLOSE,MODE_MAIN,0)>iMACD(NULL,PERIOD_M30,12,26,9,PRICE_CLOSE,MODE_MAIN,1))
{Code=SymbolCodeBuy;SumUpsM30++;CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+10+4,CharToStr(Code),FontSize,"Wingdings",CodeColor);
if (iMACD(NULL,PERIOD_H1,12,26,9,PRICE_CLOSE,MODE_MAIN,0)>iMACD(NULL,PERIOD_H1,12,26,9,PRICE_CLOSE,MODE_MAIN,1))
{Code=SymbolCodeBuy;SumUpsH1++;CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+10+5,CharToStr(Code),FontSize,"Wingdings",CodeColor);
if (iMACD(NULL,PERIOD_H4,12,26,9,PRICE_CLOSE,MODE_MAIN,0)>iMACD(NULL,PERIOD_H4,12,26,9,PRICE_CLOSE,MODE_MAIN,1))
{Code=SymbolCodeBuy;SumUpsH4D1++;CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+10+6,CharToStr(Code),FontSize,"Wingdings",CodeColor);
if (iMACD(NULL,PERIOD_D1,12,26,9,PRICE_CLOSE,MODE_MAIN,0)>iMACD(NULL,PERIOD_D1,12,26,9,PRICE_CLOSE,MODE_MAIN,1))
{Code=SymbolCodeBuy;SumUpsH4D1++;CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+10+7,CharToStr(Code),FontSize,"Wingdings",CodeColor);
if (iMACD(NULL,PERIOD_W1,12,26,9,PRICE_CLOSE,MODE_MAIN,0)>iMACD(NULL,PERIOD_W1,12,26,9,PRICE_CLOSE,MODE_MAIN,1))
{Code=SymbolCodeBuy;CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+10+8,CharToStr(Code),FontSize,"Wingdings",CodeColor);
//-----MOM
if (iMomentum(NULL,PERIOD_M1,14,PRICE_CLOSE,0)>iMomentum(NULL,PERIOD_M1,14,PRICE_CLOSE,1))
{Code=SymbolCodeBuy;CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+11+1,CharToStr(Code),FontSize,"Wingdings",CodeColor); 
if (iMomentum(NULL,PERIOD_M5,14,PRICE_CLOSE,0)>iMomentum(NULL,PERIOD_M5,14,PRICE_CLOSE,1))
{Code=SymbolCodeBuy;SumUpsM5++;CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+11+2,CharToStr(Code),FontSize,"Wingdings",CodeColor);
if (iMomentum(NULL,PERIOD_M15,14,PRICE_CLOSE,0)>iMomentum(NULL,PERIOD_M15,14,PRICE_CLOSE,1))
{Code=SymbolCodeBuy;SumUpsM15++;CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+11+3,CharToStr(Code),FontSize,"Wingdings",CodeColor);
if (iMomentum(NULL,PERIOD_M30,14,PRICE_CLOSE,0)>iMomentum(NULL,PERIOD_M30,14,PRICE_CLOSE,1))
{Code=SymbolCodeBuy;SumUpsM30++;CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+11+4,CharToStr(Code),FontSize,"Wingdings",CodeColor);
if (iMomentum(NULL,PERIOD_H1,14,PRICE_CLOSE,0)>iMomentum(NULL,PERIOD_H1,14,PRICE_CLOSE,1))
{Code=SymbolCodeBuy;SumUpsH1++;CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+11+5,CharToStr(Code),FontSize,"Wingdings",CodeColor);
if (iMomentum(NULL,PERIOD_H4,14,PRICE_CLOSE,0)>iMomentum(NULL,PERIOD_H4,14,PRICE_CLOSE,1))
{Code=SymbolCodeBuy;SumUpsH4D1++;CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+11+6,CharToStr(Code),FontSize,"Wingdings",CodeColor);
if (iMomentum(NULL,PERIOD_D1,14,PRICE_CLOSE,0)>iMomentum(NULL,PERIOD_D1,14,PRICE_CLOSE,1))
{Code=SymbolCodeBuy;SumUpsH4D1++;CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+11+7,CharToStr(Code),FontSize,"Wingdings",CodeColor);
if (iMomentum(NULL,PERIOD_W1,14,PRICE_CLOSE,0)>iMomentum(NULL,PERIOD_W1,14,PRICE_CLOSE,1))
{Code=SymbolCodeBuy;CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+11+8,CharToStr(Code),FontSize,"Wingdings",CodeColor);
//-----RSI
if (iRSI(NULL,PERIOD_M1,14,PRICE_CLOSE,0)>iRSI(NULL,PERIOD_M1,14,PRICE_CLOSE,1))
{Code=SymbolCodeBuy;CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+12+1,CharToStr(Code),FontSize,"Wingdings",CodeColor);
if (iRSI(NULL,PERIOD_M5,14,PRICE_CLOSE,0)>iRSI(NULL,PERIOD_M5,14,PRICE_CLOSE,1))
{Code=SymbolCodeBuy;SumUpsM5++;CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+12+2,CharToStr(Code),FontSize,"Wingdings",CodeColor);
if (iRSI(NULL,PERIOD_M15,14,PRICE_CLOSE,0)>iRSI(NULL,PERIOD_M15,14,PRICE_CLOSE,1))
{Code=SymbolCodeBuy;SumUpsM15++;CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+12+3,CharToStr(Code),FontSize,"Wingdings",CodeColor);
if (iRSI(NULL,PERIOD_M30,14,PRICE_CLOSE,0)>iRSI(NULL,PERIOD_M30,14,PRICE_CLOSE,1))
{Code=SymbolCodeBuy;SumUpsM30++;CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+12+4,CharToStr(Code),FontSize,"Wingdings",CodeColor);
if (iRSI(NULL,PERIOD_H1,14,PRICE_CLOSE,0)>iRSI(NULL,PERIOD_H1,14,PRICE_CLOSE,1))
{Code=SymbolCodeBuy;SumUpsH1++;CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+12+5,CharToStr(Code),FontSize,"Wingdings",CodeColor);
if (iRSI(NULL,PERIOD_H4,14,PRICE_CLOSE,0)>iRSI(NULL,PERIOD_H4,14,PRICE_CLOSE,1))
{Code=SymbolCodeBuy;SumUpsH4D1++;CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+12+6,CharToStr(Code),FontSize,"Wingdings",CodeColor);
if (iRSI(NULL,PERIOD_D1,14,PRICE_CLOSE,0)>iRSI(NULL,PERIOD_D1,14,PRICE_CLOSE,1))
{Code=SymbolCodeBuy;SumUpsH4D1++;CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+12+7,CharToStr(Code),FontSize,"Wingdings",CodeColor);
if (iRSI(NULL,PERIOD_W1,14,PRICE_CLOSE,0)>iRSI(NULL,PERIOD_W1,14,PRICE_CLOSE,1))
{Code=SymbolCodeBuy;CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+12+8,CharToStr(Code),FontSize,"Wingdings",CodeColor);
//----STOCH
if (iStochastic(NULL,PERIOD_M1,5,3,3,MODE_SMA,0,MODE_MAIN,0)>iStochastic(NULL,PERIOD_M1,5,3,3,MODE_SMA,0,MODE_MAIN,1))
{Code=SymbolCodeBuy;CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+13+1,CharToStr(Code),FontSize,"Wingdings",CodeColor);
if (iStochastic(NULL,PERIOD_M5,5,3,3,MODE_SMA,0,MODE_MAIN,0)>iStochastic(NULL,PERIOD_M5,5,3,3,MODE_SMA,0,MODE_MAIN,1))
{Code=SymbolCodeBuy;SumUpsM5++;CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+13+2,CharToStr(Code),FontSize,"Wingdings",CodeColor);
if (iStochastic(NULL,PERIOD_M15,5,3,3,MODE_SMA,0,MODE_MAIN,0)>iStochastic(NULL,PERIOD_M15,5,3,3,MODE_SMA,0,MODE_MAIN,1))
{Code=SymbolCodeBuy; SumUpsM15++;CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+13+3,CharToStr(Code),FontSize,"Wingdings",CodeColor);
if (iStochastic(NULL,PERIOD_M30,5,3,3,MODE_SMA,0,MODE_MAIN,0)>iStochastic(NULL,PERIOD_M30,5,3,3,MODE_SMA,0,MODE_MAIN,1))
{Code=SymbolCodeBuy; SumUpsM30++;CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+13+4,CharToStr(Code),FontSize,"Wingdings",CodeColor);
if (iStochastic(NULL,PERIOD_H1,5,3,3,MODE_SMA,0,MODE_MAIN,0)>iStochastic(NULL,PERIOD_H1,5,3,3,MODE_SMA,0,MODE_MAIN,1))
{Code=SymbolCodeBuy; SumUpsH1++;CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+13+5,CharToStr(Code),FontSize,"Wingdings",CodeColor);
if (iStochastic(NULL,PERIOD_H4,5,3,3,MODE_SMA,0,MODE_MAIN,0)>iStochastic(NULL,PERIOD_H4,5,3,3,MODE_SMA,0,MODE_MAIN,1))
{Code=SymbolCodeBuy; SumUpsH4D1++;CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+13+6,CharToStr(Code),FontSize,"Wingdings",CodeColor);
if (iStochastic(NULL,PERIOD_D1,5,3,3,MODE_SMA,0,MODE_MAIN,0)>iStochastic(NULL,PERIOD_D1,5,3,3,MODE_SMA,0,MODE_MAIN,1))
{Code=SymbolCodeBuy; SumUpsH4D1++;CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+13+7,CharToStr(Code),FontSize,"Wingdings",CodeColor);
if (iStochastic(NULL,PERIOD_W1,5,3,3,MODE_SMA,0,MODE_MAIN,0)>iStochastic(NULL,PERIOD_W1,5,3,3,MODE_SMA,0,MODE_MAIN,1))
{Code=SymbolCodeBuy;CodeColor=SignalUpColor;}else{Code=SymbolCodeSell;CodeColor=SignalDownColor;}
ObjectSetText("s"+13+8,CharToStr(Code),FontSize,"Wingdings",CodeColor);
//--------copyright
ObjectCreate("Statistic", OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("Statistic","STATS:",FontSize*2,FontName,IndicatorsTextColor);
ObjectSet("Statistic", OBJPROP_XDISTANCE, FontSize*1);  
ObjectSet("Statistic", OBJPROP_YDISTANCE, (18-1)*FontSize+18*SpaseSize);

//-------results
ObjectCreate("UpH4D1", OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("UpH4D1",CharToStr(SymbolCodeBuy),FontSize,"Wingdings",SignalUpColor);
ObjectSet("UpH4D1", OBJPROP_XDISTANCE, FontSize*60);  
ObjectSet("UpH4D1", OBJPROP_YDISTANCE, (5-1)*FontSize+5*SpaseSize);

ObjectCreate("DownH4D1", OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("DownH4D1",CharToStr(SymbolCodeSell),FontSize,"Wingdings",SignalDownColor);
ObjectSet("DownH4D1", OBJPROP_XDISTANCE, FontSize*60);  
ObjectSet("DownH4D1", OBJPROP_YDISTANCE, (6-1)*FontSize+6*SpaseSize);

ObjectCreate("UpPerH4D1", OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSet("UpPerH4D1", OBJPROP_XDISTANCE, FontSize*65);  
ObjectSet("UpPerH4D1", OBJPROP_YDISTANCE, (5-1)*FontSize+5*SpaseSize);

ObjectCreate("DownPerH4D1", OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSet("DownPerH4D1", OBJPROP_XDISTANCE, FontSize*65);  
ObjectSet("DownPerH4D1", OBJPROP_YDISTANCE, (6-1)*FontSize+6*SpaseSize);

double UpPerH4D1=NormalizeDouble(SumUpsH4D1*100/26,1);
double DownPerH4D1=NormalizeDouble(100-UpPerH4D1,1);
ObjectSetText("UpPerH4D1",DoubleToStr(UpPerH4D1,0)+"%",FontSize,FontName,SeparatorsTextColor);
ObjectSetText("DownPerH4D1",DoubleToStr(DownPerH4D1,0)+"%",FontSize,FontName,SeparatorsTextColor);

ObjectCreate("Trend", OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSet("Trend", OBJPROP_XDISTANCE, FontSize*63);  
ObjectSet("Trend", OBJPROP_YDISTANCE, (9-1)*FontSize+9*SpaseSize);

if (UpPerH4D1>DownPerH4D1)
{ObjectSetText("Trend",CharToStr(SymbolCodeBuy),FontSize*2,"Wingdings",SignalUpColor);}
else
{ObjectSetText("Trend",CharToStr(SymbolCodeSell),FontSize*2,"Wingdings",SignalDownColor);}

ObjectCreate("UpM5", OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("UpM5",CharToStr(SymbolCodeBuy),FontSize,"Wingdings",SignalUpColor);
ObjectSet("UpM5", OBJPROP_XDISTANCE, FontSize*16);  
ObjectSet("UpM5", OBJPROP_YDISTANCE, (18-1)*FontSize+18*SpaseSize);
ObjectCreate("DownM5", OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("DownM5",CharToStr(SymbolCodeSell),FontSize,"Wingdings",SignalDownColor);
ObjectSet("DownM5", OBJPROP_XDISTANCE, FontSize*16);  
ObjectSet("DownM5", OBJPROP_YDISTANCE, (19-1)*FontSize+19*SpaseSize);
ObjectCreate("UpPerM5", OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSet("UpPerM5", OBJPROP_XDISTANCE, FontSize*18);  
ObjectSet("UpPerM5", OBJPROP_YDISTANCE, (18-1)*FontSize+18*SpaseSize);
ObjectCreate("DownPerM5", OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSet("DownPerM5", OBJPROP_XDISTANCE, FontSize*18);  
ObjectSet("DownPerM5", OBJPROP_YDISTANCE, (19-1)*FontSize+19*SpaseSize);

ObjectCreate("UpM15", OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("UpM15",CharToStr(SymbolCodeBuy),FontSize,"Wingdings",SignalUpColor);
ObjectSet("UpM15", OBJPROP_XDISTANCE, FontSize*22);  
ObjectSet("UpM15", OBJPROP_YDISTANCE, (18-1)*FontSize+18*SpaseSize);
ObjectCreate("DownM15", OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("DownM15",CharToStr(SymbolCodeSell),FontSize,"Wingdings",SignalDownColor);
ObjectSet("DownM15", OBJPROP_XDISTANCE, FontSize*22);  
ObjectSet("DownM15", OBJPROP_YDISTANCE, (19-1)*FontSize+19*SpaseSize);
ObjectCreate("UpPerM15", OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSet("UpPerM15", OBJPROP_XDISTANCE, FontSize*24);  
ObjectSet("UpPerM15", OBJPROP_YDISTANCE, (18-1)*FontSize+18*SpaseSize);
ObjectCreate("DownPerM15", OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSet("DownPerM15", OBJPROP_XDISTANCE, FontSize*24);  
ObjectSet("DownPerM15", OBJPROP_YDISTANCE, (19-1)*FontSize+19*SpaseSize);

ObjectCreate("UpM30", OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("UpM30",CharToStr(SymbolCodeBuy),FontSize,"Wingdings",SignalUpColor);
ObjectSet("UpM30", OBJPROP_XDISTANCE, FontSize*28);  
ObjectSet("UpM30", OBJPROP_YDISTANCE, (18-1)*FontSize+18*SpaseSize);
ObjectCreate("DownM30", OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("DownM30",CharToStr(SymbolCodeSell),FontSize,"Wingdings",SignalDownColor);
ObjectSet("DownM30", OBJPROP_XDISTANCE, FontSize*28);  
ObjectSet("DownM30", OBJPROP_YDISTANCE, (19-1)*FontSize+19*SpaseSize);
ObjectCreate("UpPerM30", OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSet("UpPerM30", OBJPROP_XDISTANCE, FontSize*30);  
ObjectSet("UpPerM30", OBJPROP_YDISTANCE, (18-1)*FontSize+18*SpaseSize);
ObjectCreate("DownPerM30", OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSet("DownPerM30", OBJPROP_XDISTANCE, FontSize*30);  
ObjectSet("DownPerM30", OBJPROP_YDISTANCE, (19-1)*FontSize+19*SpaseSize);

ObjectCreate("UpH1", OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("UpH1",CharToStr(SymbolCodeBuy),FontSize,"Wingdings",SignalUpColor);
ObjectSet("UpH1", OBJPROP_XDISTANCE, FontSize*34);  
ObjectSet("UpH1", OBJPROP_YDISTANCE, (18-1)*FontSize+18*SpaseSize);
ObjectCreate("DownH1", OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("DownH1",CharToStr(SymbolCodeSell),FontSize,"Wingdings",SignalDownColor);
ObjectSet("DownH1", OBJPROP_XDISTANCE, FontSize*34);  
ObjectSet("DownH1", OBJPROP_YDISTANCE, (19-1)*FontSize+19*SpaseSize);
ObjectCreate("UpPerH1", OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSet("UpPerH1", OBJPROP_XDISTANCE, FontSize*36);  
ObjectSet("UpPerH1", OBJPROP_YDISTANCE, (18-1)*FontSize+18*SpaseSize);
ObjectCreate("DownPerH1", OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSet("DownPerH1", OBJPROP_XDISTANCE, FontSize*36);  
ObjectSet("DownPerH1", OBJPROP_YDISTANCE, (19-1)*FontSize+19*SpaseSize);

ObjectCreate("Look", OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("Look","LOOK IT",FontSize*2,FontName,IndicatorsTextColor);
ObjectSet("Look", OBJPROP_XDISTANCE, FontSize*40);  
ObjectSet("Look", OBJPROP_YDISTANCE, (18-1)*FontSize+18*SpaseSize);

double UpPerM5=NormalizeDouble(SumUpsM5*100/13,1);
double DownPerM5=NormalizeDouble(100-UpPerM5,1);
ObjectSetText("UpPerM5",DoubleToStr(UpPerM5,0)+"%",FontSize,FontName,SeparatorsTextColor);
ObjectSetText("DownPerM5",DoubleToStr(DownPerM5,0)+"%",FontSize,FontName,SeparatorsTextColor);

double UpPerM15=NormalizeDouble(SumUpsM15*100/13,1);
double DownPerM15=NormalizeDouble(100-UpPerM15,1);
ObjectSetText("UpPerM15",DoubleToStr(UpPerM15,0)+"%",FontSize,FontName,SeparatorsTextColor);
ObjectSetText("DownPerM15",DoubleToStr(DownPerM15,0)+"%",FontSize,FontName,SeparatorsTextColor);

double UpPerM30=NormalizeDouble(SumUpsM30*100/13,1);
double DownPerM30=NormalizeDouble(100-UpPerM30,1);
ObjectSetText("UpPerM30",DoubleToStr(UpPerM30,0)+"%",FontSize,FontName,SeparatorsTextColor);
ObjectSetText("DownPerM30",DoubleToStr(DownPerM30,0)+"%",FontSize,FontName,SeparatorsTextColor);

double UpPerH1=NormalizeDouble(SumUpsH1*100/13,1);
double DownPerH1=NormalizeDouble(100-UpPerH1,1);
ObjectSetText("UpPerH1",DoubleToStr(UpPerH1,0)+"%",FontSize,FontName,SeparatorsTextColor);
ObjectSetText("DownPerH1",DoubleToStr(DownPerH1,0)+"%",FontSize,FontName,SeparatorsTextColor);

ObjectCreate("R3", OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("R3","R3",FontSize,FontName,SeparatorsTextColor);
ObjectSet("R3", OBJPROP_XDISTANCE, FontSize*70);  
ObjectSet("R3", OBJPROP_YDISTANCE, (4-1)*FontSize+4*SpaseSize);

ObjectCreate("R3V", OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSet("R3V", OBJPROP_XDISTANCE, FontSize*74);  
ObjectSet("R3V", OBJPROP_YDISTANCE, (4-1)*FontSize+4*SpaseSize);

ObjectCreate("R2", OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("R2","R2",FontSize,FontName,SeparatorsTextColor);
ObjectSet("R2", OBJPROP_XDISTANCE, FontSize*70);  
ObjectSet("R2", OBJPROP_YDISTANCE, (5-1)*FontSize+5*SpaseSize);

ObjectCreate("R2V", OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSet("R2V", OBJPROP_XDISTANCE, FontSize*74);  
ObjectSet("R2V", OBJPROP_YDISTANCE, (5-1)*FontSize+5*SpaseSize);

ObjectCreate("R1", OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("R1","R1",FontSize,FontName,SeparatorsTextColor);
ObjectSet("R1", OBJPROP_XDISTANCE, FontSize*70);  
ObjectSet("R1", OBJPROP_YDISTANCE, (6-1)*FontSize+6*SpaseSize);

ObjectCreate("R1V", OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSet("R1V", OBJPROP_XDISTANCE, FontSize*74);  
ObjectSet("R1V", OBJPROP_YDISTANCE, (6-1)*FontSize+6*SpaseSize);

ObjectCreate("PP", OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("PP","PP",FontSize,FontName,SeparatorsTextColor);
ObjectSet("PP", OBJPROP_XDISTANCE, FontSize*70);  
ObjectSet("PP", OBJPROP_YDISTANCE, (7-1)*FontSize+7*SpaseSize);

ObjectCreate("PPV", OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSet("PPV", OBJPROP_XDISTANCE, FontSize*74);  
ObjectSet("PPV", OBJPROP_YDISTANCE, (7-1)*FontSize+7*SpaseSize);

ObjectCreate("S1", OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("S1","S1",FontSize,FontName,SeparatorsTextColor);
ObjectSet("S1", OBJPROP_XDISTANCE, FontSize*70);  
ObjectSet("S1", OBJPROP_YDISTANCE, (8-1)*FontSize+8*SpaseSize);

ObjectCreate("S1V", OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSet("S1V", OBJPROP_XDISTANCE, FontSize*74);  
ObjectSet("S1V", OBJPROP_YDISTANCE, (8-1)*FontSize+8*SpaseSize);

ObjectCreate("S2", OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("S2","S2",FontSize,FontName,SeparatorsTextColor);
ObjectSet("S2", OBJPROP_XDISTANCE, FontSize*70);  
ObjectSet("S2", OBJPROP_YDISTANCE, (9-1)*FontSize+9*SpaseSize);

ObjectCreate("S2V", OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSet("S2V", OBJPROP_XDISTANCE, FontSize*74);  
ObjectSet("S2V", OBJPROP_YDISTANCE, (9-1)*FontSize+9*SpaseSize);

ObjectCreate("S3", OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("S3","S3",FontSize,FontName,SeparatorsTextColor);
ObjectSet("S3", OBJPROP_XDISTANCE, FontSize*70);  
ObjectSet("S3", OBJPROP_YDISTANCE, (10-1)*FontSize+10*SpaseSize);

ObjectCreate("S3V", OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSet("S3V", OBJPROP_XDISTANCE, FontSize*74);  
ObjectSet("S3V", OBJPROP_YDISTANCE, (10-1)*FontSize+10*SpaseSize);

   double yesterday_close=iClose(NULL,PERIOD_D1,1);
   double yesterday_high=iHigh(NULL,PERIOD_D1,1);
   double yesterday_low=iLow(NULL,PERIOD_D1,1);
   double PP = NormalizeDouble((yesterday_high + yesterday_low + yesterday_close)/3,Digits);
   double R1 = NormalizeDouble((2*PP)-yesterday_low,Digits);
   double S1 = NormalizeDouble((2*PP)-yesterday_high,Digits);
   double R2 = NormalizeDouble(PP+(yesterday_high-yesterday_low),Digits);
   double S2 = NormalizeDouble(PP-(yesterday_high-yesterday_low),Digits);
   double R3 = NormalizeDouble(2*PP+(yesterday_high-2*yesterday_low),Digits);
   double S3 = NormalizeDouble(2*PP-(2*yesterday_high-yesterday_low),Digits);
   
   ObjectSetText("R3V",DoubleToStr(R3,4),FontSize, FontName, SeparatorsTextColor);
   ObjectSetText("R2V",DoubleToStr(R2,4),FontSize, FontName, SeparatorsTextColor);
   ObjectSetText("R1V",DoubleToStr(R1,4),FontSize, FontName, SeparatorsTextColor);
   ObjectSetText("PPV",DoubleToStr(PP,4),FontSize, FontName, SeparatorsTextColor);
   ObjectSetText("S1V",DoubleToStr(S1,4),FontSize, FontName, SeparatorsTextColor);
   ObjectSetText("S2V",DoubleToStr(S2,4),FontSize, FontName, SeparatorsTextColor);
   ObjectSetText("S3V",DoubleToStr(S3,4),FontSize, FontName, SeparatorsTextColor);

ObjectCreate("BalanceInfo", OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("BalanceInfo","Balance",FontSize, FontName,IndicatorsTextColor);
ObjectSet("BalanceInfo", OBJPROP_XDISTANCE, FontSize*60);  
ObjectSet("BalanceInfo", OBJPROP_YDISTANCE, (13-1)*FontSize+13*SpaseSize);
//74 -   76 -  
ObjectCreate("BalanceV", OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSet("BalanceV", OBJPROP_XDISTANCE,FontSize*60);  
ObjectSet("BalanceV", OBJPROP_YDISTANCE,(15-1)*FontSize+15*SpaseSize);

if (AccountCurrency()=="RUR")
{
ObjectSetText("BalanceV",DoubleToStr(NormalizeDouble(AccountBalance()/iClose("USDRUR",PERIOD_H1,1),2),2)+"$",FontSize*2, FontName,SeparatorsTextColor);
}

if (AccountCurrency()=="EUR")
{
ObjectSetText("BalanceV",DoubleToStr(NormalizeDouble(AccountBalance()*iClose("EURUSD",PERIOD_H1,1),2),2)+"$",FontSize*2, FontName,SeparatorsTextColor);
}
if (AccountCurrency()=="USD")
{
ObjectSetText("BalanceV",DoubleToStr(AccountBalance(),2)+"$",FontSize*2,FontName,SeparatorsTextColor);
}

ObjectCreate("ProfitV", OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSet("ProfitV", OBJPROP_XDISTANCE,FontSize*60);  
ObjectSet("ProfitV", OBJPROP_YDISTANCE,(18-1)*FontSize+18*SpaseSize);

if (AccountProfit()/AccountBalance()*100>0)
{ Code=74; CodeColor=SignalUpColor;}
if (AccountProfit()/AccountBalance()*100<0)
{ Code=76;CodeColor=SignalDownColor;}
if (AccountProfit()/AccountBalance()*100==0)
{ Code=75;CodeColor=SeparatorsTextColor;}
ObjectSetText("ProfitV",DoubleToStr(AccountProfit()/AccountBalance()*100,2)+"%",FontSize*2,FontName,CodeColor);

ObjectCreate("ProfitTrend", OBJ_LABEL, WindowFind(ShortName), 0, 0);
ObjectSetText("ProfitTrend",CharToStr(Code),FontSize*2, "Wingdings",CodeColor );
ObjectSet("ProfitTrend", OBJPROP_XDISTANCE,FontSize*76);  
ObjectSet("ProfitTrend", OBJPROP_YDISTANCE,(18-1)*FontSize+18*SpaseSize);

return(0);
}